;=========================================================================
;;; - P1 i P2 - wsprzdne lokalne a nie globalne
(defun mh:kreski (P1 P2 odsuniecie dlugosckreski / katalfa punkttemp punkttemp1 punkttemp2 styllinii grubosc) ;kreski- polecenie rysuje prostopade kreseczki na linii od P1 do P2
	(if (mh:qawa)
		(progn

			(setq	styllinii (getvar "celtype")
					grubosc (getvar "celweight")
			);setq

			; styl linii ustawic jako continuous
			(command "_celtype" "Continuous")
			; grubo ustawi jako 0,15 
			(command "_celweight" 015)
			
			(if (> (distance P1 P2) (* 2 odsuniecie))
				(progn
					(setq	katalfa (angle P1 P2)
							punkttemp (polar P1 katalfa odsuniecie)
							punkttemp1 (polar punkttemp (- katalfa (/ pi 2)) (/ dlugosckreski 2))
							punkttemp2 (polar punkttemp (+ katalfa (/ pi 2)) (/ dlugosckreski 2))
					);setq
					(command "_line" punkttemp1 punkttemp2 "")

					(setq	katalfa (angle P2 P1)
							punkttemp (polar P2 katalfa odsuniecie)
							punkttemp1 (polar punkttemp (- katalfa (/ pi 2)) (/ dlugosckreski 2))
							punkttemp2 (polar punkttemp (+ katalfa (/ pi 2)) (/ dlugosckreski 2))
					);setq
					(command "_line" punkttemp1 punkttemp2 "")
				);progn do dugich kresek

				(progn
					(setq	katalfa (angle P1 P2)
							punkttemp (polar P1 katalfa (/ (distance P1 P2) 2))
							punkttemp1 (polar punkttemp (- katalfa (/ pi 2)) (/ dlugosckreski 2))
							punkttemp2 (polar punkttemp (+ katalfa (/ pi 2)) (/ dlugosckreski 2))
					);setq
					(command "_line" punkttemp1 punkttemp2 "")
				);progn do krtkich kresek
			);if
				
			(command 	"_celtype" styllinii
						"_celweight" grubosc
			);command
					
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun mh:kreski
;=========================================================================

;=========================================================================
(defun c:TKS (/ dcl_id DCL_dlugosckreski dlugosckreski DCL_odsuniecie odsuniecie zamkniecie P1 P12 P2 P3 CzyKonczyc)
	(if (mh:qawa)
		(progn

			(mh:ustzap)


			(setq dcl_id (load_dialog (nth *lang* (list "profilek-kanalizacja-wewnetrzna.dcl" "profilek-kanalizacja-wewnetrzna_EN.dcl"))))	;LANG;
			(if (not (new_dialog "kreseczki" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-kanalizacja-wewnetrzna.dcl" "File not found profilek-kanalizacja-wewnetrzna_EN.dcl")))	;LANG;
					(exit)
				);progn
			);if	
			;==================
			(if (null *DCL_kreseczki*)
				(setq *DCL_kreseczki* (list "12" "14.143"))
			);if  
			(setq	DCL_dlugosckreski (car *DCL_kreseczki*)
					DCL_odsuniecie (cadr *DCL_kreseczki*)
			);setq 
			;==================
			(foreach % (list "DCL_dlugosckreski" "DCL_odsuniecie")
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			)
			;==================	  
			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
			   
			(start_dialog)
			(unload_dialog dcl_id)
					
			(if (= zamkniecie 1)
				(progn
					(setq *DCL_kreseczki* (list DCL_dlugosckreski DCL_odsuniecie))
				);progn
			);if	
			;=========================================================================
			(if (> (atof (mh:MsgCommaToDot DCL_dlugosckreski)) 0)
				(setq dlugosckreski (atof (mh:MsgCommaToDot DCL_dlugosckreski)))
				(progn
					(alert (nth *lang* (list "Dugo kreseczek nie jest wpisana poprawnie!" "The length of the lines is not entered correctly!")))	;LANG;
				(setq zamkniecie 0)
				)
			)	

			(if (>= (distof (mh:MsgCommaToDot DCL_odsuniecie) 2) 0)
				(setq odsuniecie (distof (mh:MsgCommaToDot DCL_odsuniecie) 2))
				(progn
					(alert (nth *lang* (list "Odsunicie od koca nie jest wpisane poprawnie!" "Offset from the end is not entered correctly!")))	;LANG;
					(setq zamkniecie 0)
				)
			)	
			;=========================================================================
			(if (= zamkniecie 1)
				(progn
					;=========================================================================
					(setvar "DIMZIN" 0) ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
					(setvar "OSNAPCOORD" 1);zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
					;=========================================================================
					(setq	P1 (getpoint (nth *lang* (list "\nKliknij pierwszy punkt trasy kanalizacji." "\nClick the first point of the sewage system route.")))	;LANG;
							P2 (getpoint P1 (nth *lang* (list "\nKliknij drugi punkt trasy kanalizacji." "\nClick the second point of the sewage system route.")))	;LANG;
							P3 (getpoint P2 (nth *lang* (list "\nKliknij kolejny punkt trasy kanalizacji." "\nClick the next point of the sewage system route.")))	;LANG;
					);setq


					;=========================================================================
					(while P3
						(if
							(and (> (distance P1 P2) 35) (> (distance P2 P3) 35) (or (< (abs (rem (- (angle P2 P1) (angle P2 P3)) (/ pi 2))) 0.017) (> (abs (rem (- (angle P2 P1) (angle P2 P3)) (/ pi 2))) 1.553)))
							
							(progn
									
									(setq	P12 (polar P2 (angle P2 P1) 20)
											P2 (polar P2 (angle P2 P3) 20))
									(command "_line" P1 P12 P2 "")
									(mh:kreski P1 P12 odsuniecie dlugosckreski)
									(mh:kreski P12 P2 odsuniecie dlugosckreski)
										
							);progn na tak

							(progn
									(command "_line" P1 P2 "")
									(mh:kreski P1 P2 odsuniecie dlugosckreski)
							);progn na nie

						);if


						(setq	P1 P2
								P2 P3
								P3 (getpoint P2 (nth *lang* (list "\nKliknij kolejny punkt trasy kanalizacji." "\nClick the next point of the sewage system route.")))	;LANG;
						);setq
					);while
					;=========================================================================
					
					(setq CzyKonczyc	(mh:GetChoisText
											(nth *lang* (list "\nDorysowa kanalizacj do koca?" "\nDraw the sanitary sewage system to the end?"))	;LANG;
											(list
												(nth *lang* (list "Tak" "Yes"))	;LANG
												(nth *lang* (list "Nie" "No"))	;LANG;
											)
											(nth *lang* (list "Tak" "Yes"))	;LANG
										)
					)
					
					(if (= CzyKonczyc (nth *lang* (list "Tak" "Yes")))	;LANG;
						(progn
							(command "_line" P1 P2 "")
							(mh:kreski P1 P2 odsuniecie dlugosckreski)
						);progn
					);if

				);progn
			);if

			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun TKS
;=========================================================================

;=========================================================================
(defun c:KKS ( / dcl_id DCL_dlugosckreski dlugosckreski DCL_odsuniecie odsuniecie zamkniecie zbior ilosclinii nnn xxx opislinii temp warstwalinii kolorlinii AA BB AAA BBB)
	(if (mh:qawa)
		(progn

			(mh:ustzap)
			(setq dcl_id (load_dialog (nth *lang* (list "profilek-kanalizacja-wewnetrzna.dcl" "profilek-kanalizacja-wewnetrzna_EN.dcl"))))	;LANG;
			(if (not (new_dialog "kreseczki" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-kanalizacja-wewnetrzna.dcl" "File not found profilek-kanalizacja-wewnetrzna_EN.dcl")))	;LANG;
					(exit)
				);progn
			);if

			;==================
			(if (null *DCL_kreseczki*)
				(setq *DCL_kreseczki* (list "12" "14.143"))
			);if  
			(setq	DCL_dlugosckreski (car *DCL_kreseczki*)
					DCL_odsuniecie (cadr *DCL_kreseczki*)
			);setq 
			;==================
			(foreach % (list "DCL_dlugosckreski" "DCL_odsuniecie")
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			)
			;==================	  
			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")

			(start_dialog)
			(unload_dialog dcl_id)

			(if (= zamkniecie 1)
				(progn
					(setq *DCL_kreseczki* (list DCL_dlugosckreski DCL_odsuniecie))
				);progn
			);if	
			;=========================================================================
			(if (> (atof (mh:MsgCommaToDot DCL_dlugosckreski)) 0)
				(setq dlugosckreski (atof (mh:MsgCommaToDot DCL_dlugosckreski)))
				(progn
					(alert (nth *lang* (list "Dugo kreseczek nie jest wpisana poprawnie!" "The length of the lines is not entered correctly!")))	;LANG;
				(setq zamkniecie 0)
				)
			);if	
			(if (>= (distof (mh:MsgCommaToDot DCL_odsuniecie) 2) 0)
				(setq odsuniecie (distof (mh:MsgCommaToDot DCL_odsuniecie) 2))
				(progn
					(alert (nth *lang* (list "Odsunicie od koca nie jest wpisane poprawnie!" "Offset from the end is not entered correctly!")))	;LANG;
				(setq zamkniecie 0)
				)
			);if
			;=========================================================================
			(if (= zamkniecie 1)
				(progn
					;===========================================================
					(setvar "DIMZIN" 0) ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
					(setvar "OSNAPCOORD" 1);zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
					;=============================================================
					(princ (nth *lang* (list "\nZaznacz linie do wrysowania kreseczek: " "\nSelect lines for drawing lines: ")))	;LANG;
					(setq 	zbior (ssget '((-4 . "<OR")(0 . "line")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane linie
							ilosclinii (sslength zbior)
							nnn ilosclinii
					);setq
					;=========================================================================
					; styl linii ustawic jako continuous
					(command "_celtype" "Continuous")

					; grubo ustawi jako 0,15 
					(command "_celweight" 015)

					(repeat ilosclinii
						(setq 	xxx (- ilosclinii nnn)
								opislinii (entget (ssname zbior xxx))
						) ; zmienna opislinii jest list zmiennych opisujc parametry linii

						;pobra warstw i ustawi jako aktualn
						(setq 	temp (assoc 8 opislinii)
								warstwalinii (cdr temp));setq
						(setvar "CLAYER" warstwalinii)

						;pobra kolor i ustawic jako aktualny
						(setq 	temp (assoc 62 opislinii)
								kolorlinii (cdr temp));setq
						(if	(numberp kolorlinii)
							(setvar "CECOLOR" kolorlinii) 
							(setvar "CECOLOR" "256"); byo bylayer
						);if 

						;pobra wsprzedne pocztku i koca linii,
						(setq 	AA (assoc 10 opislinii); AA to symboliczne opisanie pocztku linii
								BB (assoc 11 opislinii); BB to symboliczne opisanie koca linii
								AAA (trans (cdr AA) 0 1); AAA to wsprzdne lokalne pocztku linii
								BBB (trans (cdr BB) 0 1); BBB to wsprzdne lokalne koca linii
						);setq

						(mh:kreski AAA BBB odsuniecie dlugosckreski)

						(setq nnn (1- nnn));setq
					);repeat

				);progn
		);if

		(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun KKS
;=========================================================================

;=========================================================================
(defun c:KKL ( / dcl_id DCL_dlugosckreski dlugosckreski DCL_odsuniecie odsuniecie zamkniecie zbior ilosclinii nnn xxx opislinii temp warstwalinii kolorlinii CentrumLuku PromLuku KatAA KatBB punkttemp1 punkttemp2)
	(if (mh:qawa)
		(progn

			(mh:ustzap)

			(setq dcl_id (load_dialog (nth *lang* (list "profilek-kanalizacja-wewnetrzna.dcl" "profilek-kanalizacja-wewnetrzna_EN.dcl"))))	;LANG;
			(if (not (new_dialog "kreseczki2" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-kanalizacja-wewnetrzna.dcl" "File not found profilek-kanalizacja-wewnetrzna_EN.dcl")))	;LANG;
					(exit)
				);progn
			);if
			;==================
			(if (null *DCL_kreseczki*)
				(setq *DCL_kreseczki* (list "12" "14.143"))
			);if  
			(setq	DCL_dlugosckreski (car *DCL_kreseczki*)
					DCL_odsuniecie (cadr *DCL_kreseczki*)
			);setq 
			;==================
			(foreach % (list "DCL_dlugosckreski")
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			)
			;==================	  
			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
			   
			(start_dialog)
			(unload_dialog dcl_id)

			(if (= zamkniecie 1)
				(progn
					(setq *DCL_kreseczki* (list DCL_dlugosckreski DCL_odsuniecie))
				);progn
			);if		
			;=========================================================================
			;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
			(if (> (atof (mh:MsgCommaToDot DCL_dlugosckreski)) 0)
				(setq dlugosckreski (atof (mh:MsgCommaToDot DCL_dlugosckreski)))
				(progn
					(alert (nth *lang* (list "Dugo kreseczek nie jest wpisana poprawnie!" "The length of the lines is not entered correctly!")))	;LANG;
					(setq zamkniecie 0)
				)
			)	
			;=========================================================================
			(if (= zamkniecie 1)
				(progn

					;===========================================================
					(setvar "DIMZIN" 0) ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
					(setvar "OSNAPCOORD" 1);zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
					;=============================================================

					;=========================================================================
					(princ (nth *lang* (list "\nZaznacz uki do wrysowania kreseczek:" "\nSelect arcs for drawing lines:")))	;LANG;
					(setq 	zbior (ssget '((-4 . "<OR")(0 . "arc")(-4 . "OR>")) ) ;zmienna "zbior" to wybrane uki
							ilosclinii (sslength zbior)
							nnn ilosclinii
					);setq
					;=========================================================================

					; styl linii ustawic jako continuous
					(setvar "CELTYPE" "Continuous")

					; grubo ustawi jako 0,15 
					(setvar "CELWEIGHT" 015)

					(repeat ilosclinii
					(setq 	xxx (- ilosclinii nnn)
							opislinii (entget (ssname zbior xxx))) ; zmienna opislinii jest list zmiennych opisujc parametry uku

					;pobra warstw i ustawi jako aktualn
					(setq 	temp (assoc 8 opislinii)
							warstwalinii (cdr temp));setq
					(setvar "CLAYER" warstwalinii)

					;pobra kolor i ustawic jako aktualny
					(setq 	temp (assoc 62 opislinii)
							kolorlinii (cdr temp));setq
					(if (numberp kolorlinii)
						(setvar "CECOLOR" kolorlinii)
						(setvar "CECOLOR" "256")
					);if

					;pobra wsprzedne pocztku i koca uku,
					(setq 	CentrumLuku (cdr (assoc 10 opislinii)); CentrumLuku to wsprzdne lokalne osi uku
							PromLuku (cdr (assoc 40 opislinii)); PromLuku to promie luku
							KatAA (cdr (assoc 50 opislinii)); KatAA to kt do pierwszego koca uku
							KatBB (cdr (assoc 51 opislinii)); KatBB to kt do drugiego koca uku
					);setq

					(setq	punkttemp1 (trans (polar CentrumLuku KatAA (+ PromLuku (/ dlugosckreski 2))) 0 1)
							punkttemp2 (trans (polar CentrumLuku KatAA (- PromLuku (/ dlugosckreski 2))) 0 1)
					);setq
					
					(command "_line" punkttemp1 punkttemp2 "")

					(setq	punkttemp1 (trans (polar CentrumLuku KatBB (+ PromLuku (/ dlugosckreski 2))) 0 1)
							punkttemp2 (trans (polar CentrumLuku KatBB (- PromLuku (/ dlugosckreski 2))) 0 1)
					);setq
					(command "_line" punkttemp1 punkttemp2 "")

					(setq nnn (1- nnn));setq
					);repeat

				);progn
			);if
			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun KKl
;=========================================================================

;=========================================================================
(defun c:pio_kan_old ( / OsPionu OsOpisu nrpionu) ;- stara wersja bez bloku jako oznaczenie pionu
(if (mh:qawa)
(progn

;===========================================================================
; pobra aktualna lini, warstwe kolor i grubo liniii aby na kocu przywrcic te ustawienia
(mh:ustzap)


;=============================================================
(if (null (tblsearch "Layer" "IS_KD_piony_oznaczenia"))
 (progn
	(command "_-layer"
		"_N" "TEMP-LAYER"
		"_C" "3" "TEMP-LAYER"
		"_L" "Continuous" "TEMP-LAYER"
		"_LW" "0.35" "TEMP-LAYER" "")
	(command "_rename" "_LA" "TEMP-LAYER" "IS_KD_piony_oznaczenia")
 );progn
);if
;=============================================================

;=============================================================
(if (null (tblsearch "Layer" "IS_KS_piony_oznaczenia"))
 (progn
	(command "_-layer"
		"_N" "TEMP-LAYER"
		"_C" "34" "TEMP-LAYER"
		"_L" "Continuous" "TEMP-LAYER"
		"_LW" "0.35" "TEMP-LAYER" "")
	(command "_rename" "_LA" "TEMP-LAYER" "IS_KS_piony_oznaczenia")
 );progn
);if
;=============================================================

;=============================================================
(if (null (tblsearch "Layer" "IS_KT_piony_oznaczenia"))
 (progn
	(command "_-layer"
		"_N" "TEMP-LAYER"
		"_C" "6" "TEMP-LAYER"
		"_L" "Continuous" "TEMP-LAYER"
		"_LW" "0.35" "TEMP-LAYER" "")
	(command "_rename" "_LA" "TEMP-LAYER" "IS_KT_piony_oznaczenia")
 );progn
);if
;=============================================================

;===========================================================================
; wybieramy styl tekstu IS_SIMPLEX jako aktualny lub gdy go nie ma tworzymy go i ustawiamy jako aktualny
(if (tblsearch "Style" "IS_SIMPLEX")
  (command "_textstyle" "IS_SIMPLEX")
 (progn
	(command "_-style"
		"TEMP-STYLE" "simplex.shx" "" "0.7" "" "" "" "")
	(command "_rename" "_S" "TEMP-STYLE" "IS_SIMPLEX")
	(command "_textstyle" "IS_SIMPLEX")
 );progn
);if
;===========================================================================


;===========================================================================
; ustawienie aktualnej warstwy w zalenoci od bierzcej warstwy
(if (or (= *START_WARSTWA* "IS_KD") (= *START_WARSTWA* "IS_KD_pod_stropem") (= *START_WARSTWA* "IS_KD_tloczna"))
(setvar "CLAYER" "IS_KD_piony_oznaczenia")
);if
(if (or (= *START_WARSTWA* "IS_KT") (= *START_WARSTWA* "IS_KT_pod_stropem") (= *START_WARSTWA* "IS_KT_tloczna"))
(setvar "CLAYER" "IS_KT_piony_oznaczenia")
);if
(if (and (/= (getvar "clayer") "IS_KT_piony_oznaczenia") (/= (getvar "clayer") "IS_KD_piony_oznaczenia"))
(setvar "CLAYER" "IS_KS_piony_oznaczenia")
);if
;===========================================================================

(setq	OsPionu (getpoint "\nKliknij o pionu kanalizacyjnego."))

;rysujemy pion
(setvar "CELWEIGHT" -1)
(command "_circle" OsPionu "_d" 12)
	(setvar "CELWEIGHT" 013)
	(command "_line" (polar OsPionu 0 2.5) (polar OsPionu 0 9.5) "")
	(command "_line" (polar OsPionu (/ pi 2) 2.5) (polar OsPionu (/ pi 2) 9.5) "")
	(command "_line" (polar OsPionu pi 2.5) (polar OsPionu pi 9.5) "")
	(command "_line" (polar OsPionu (* pi 1.5) 2.5) (polar OsPionu (* pi 1.5) 9.5) "")

(setq	OsOpisu (getpoint OsPionu "\nKliknij centrum opisu pionu kanalizacyjnego"))
	
;rysujemy oznaczenie
(command "_circle" OsOpisu "_d" 70)	
(command "_line" (polar OsOpisu 0 28) (polar OsOpisu pi 28) "")
	(setvar "CELWEIGHT" -1)
	

		(if (or (= *START_WARSTWA* "IS_KD") (= *START_WARSTWA* "IS_KD_pod_stropem") (= *START_WARSTWA* "IS_KD_tloczna"))
		(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KD")
		);if
		(if (or (= *START_WARSTWA* "IS_KT") (= *START_WARSTWA* "IS_KT_pod_stropem") (= *START_WARSTWA* "IS_KT_tloczna"))
		(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KT")
		);if
		(if (and (/= (getvar "clayer") "IS_KT_piony_oznaczenia") (/= (getvar "clayer") "IS_KD_piony_oznaczenia"))
		(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KS")
		);if
	
	(setq nrpionu (getstring "\nPodaj NUMER pionu: "))
	(command "_.text" "_j" "_m" (polar OsOpisu (* pi 1.5) 15.5) "20" "0" nrpionu)

(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun pio_kan
;=========================================================================

;=========================================================================
(defun c:pio_kan ( / OsPionu OsOpisu nrpionu kolko linia1 linia2 linia3 linia4 newblock)
(if (mh:qawa)
	(progn

		(mh:ustzap)
		(setvar "DIMZIN" 0)
		(setvar "OSNAPCOORD" 1)
		;=============================================================
		(mh:warstwa "IS_KD_piony_oznaczenia" nil)
		(mh:warstwa "IS_KS_piony_oznaczenia" nil)
		(mh:warstwa "IS_KS_dubler_piony_oznaczenia" nil)
		(mh:warstwa "IS_KT_piony_oznaczenia" nil)
		(mh:warstwa "IS_KD_piony_opisy" nil)
		(mh:warstwa "IS_KS_piony_opisy" nil)
		(mh:warstwa "IS_KS_dubler_piony_opisy" nil)
		(mh:warstwa "IS_KT_piony_opisy" nil)
		(mh:warstwa "IS_KS_wentylacja_piony_opisy" nil)
		(mh:warstwa "IS_KS_wentylacja_piony_oznaczenia" nil)
		;===========================================================================
		;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
		(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
		;===========================================================================
		; ustawienie aktualnej warstwy w zalenoci od biecej warstwy
		(if (or (= *START_WARSTWA* "IS_KD") (= *START_WARSTWA* "IS_KD_pod_stropem") (= *START_WARSTWA* "IS_KD_tloczna"))
			(setvar "CLAYER" "IS_KD_piony_oznaczenia")
		);if
		(if (or (= *START_WARSTWA* "IS_KT") (= *START_WARSTWA* "IS_KT_pod_stropem") (= *START_WARSTWA* "IS_KT_tloczna"))
			(setvar "CLAYER" "IS_KT_piony_oznaczenia")
		);if
		(if (or (= *START_WARSTWA* "IS_KS_dubler") (= *START_WARSTWA* "IS_KS_dubler_pod_stropem"))
			(setvar "CLAYER" "IS_KS_dubler_piony_oznaczenia")
		);if
		(if (or (= *START_WARSTWA* "IS_KS_wentylacja") (= *START_WARSTWA* "IS_KS_wentylacja_pod_stropem"))
			(setvar "CLAYER" "IS_KS_wentylacja_piony_oznaczenia")
		);if
		(if (and
				(/= (getvar "CLAYER") "IS_KT_piony_oznaczenia")
				(/= (getvar "CLAYER") "IS_KD_piony_oznaczenia")
				(/= (getvar "CLAYER") "IS_KS_dubler_piony_oznaczenia")
				(/= (getvar "CLAYER") "IS_KS_wentylacja_piony_oznaczenia")
			)
			(setvar "CLAYER" "IS_KS_piony_oznaczenia")
		);if
		;===========================================================================

		(setq	OsPionu (getpoint (nth *lang* (list "\nKliknij o pionu kanalizacyjnego." "\nClick the axis of the sewage riser."))))	;LANG;
						
		;rysujemy pion !!!!!!!!!!!! nowa wersja z blokiem
		(if (= nil (tblsearch "BLOCK" "IS_pion_KS_na_rzucie"))
			(progn
				(setq newblock (vla-add (mh:ACX_BlocksCollection) (vlax-3d-point '(0 0 0)) "IS_pion_KS_na_rzucie")
						kolko (vla-addcircle newblock (vlax-3d-point '(0 0 0)) 6)
						linia1	(vla-addline newblock (vlax-3d-point '(2.5 0 0)) (vlax-3d-point '(9.5 0 0)))
						linia2	(vla-addline newblock (vlax-3d-point '(-2.5 0 0)) (vlax-3d-point '(-9.5 0 0)))
						linia3	(vla-addline newblock (vlax-3d-point '(0 2.5 0)) (vlax-3d-point '(0 9.5 0)))
						linia4	(vla-addline newblock (vlax-3d-point '(0 -2.5 0)) (vlax-3d-point '(0 -9.5 0)))
				)
				(vla-put-layer kolko "0")
				(vla-put-layer linia1 "0")
				(vla-put-layer linia2 "0")
				(vla-put-layer linia3 "0")
				(vla-put-layer linia4 "0")
				
				(vla-put-Linetype kolko "Continuous")
				(vla-put-Linetype linia1 "Continuous")
				(vla-put-Linetype linia2 "Continuous")
				(vla-put-Linetype linia3 "Continuous")
				(vla-put-Linetype linia4 "Continuous")
				
				(vla-put-Color kolko "0")
				(vla-put-Color linia1 "0")
				(vla-put-Color linia2 "0")
				(vla-put-Color linia3 "0")
				(vla-put-Color linia4 "0")
				
			;	(vla-put-Lineweight kolko "ByLayer")
				(vla-put-Lineweight linia1 13)
				(vla-put-Lineweight linia2 13)
				(vla-put-Lineweight linia3 13)
				(vla-put-Lineweight linia4 13)


			);progn
		)

									
		; insert the block
		(vla-insertblock (mh:ACX_ActiveSpace) (vlax-3d-point (trans OsPionu 1 0)) "IS_pion_KS_na_rzucie"
			1.0
			1.0
			1.0
			0.0 ; tutaj doda odczytywanie aktualnego obrotu luwa
		)
		;===========================================================================
		; ustawienie aktualnej warstwy w zalenoci od biecej warstwy
		(if (= (getvar "clayer") "IS_KS_piony_oznaczenia")
			(setvar "CLAYER" "IS_KS_piony_opisy")
		);if
		(if (= (getvar "clayer") "IS_KD_piony_oznaczenia")
			(setvar "CLAYER" "IS_KD_piony_opisy")
		);if
		(if (= (getvar "clayer") "IS_KT_piony_oznaczenia")
			(setvar "CLAYER" "IS_KT_piony_opisy")
		);if
		(if (= (getvar "clayer") "IS_KS_wentylacja_piony_oznaczenia")
			(setvar "CLAYER" "IS_KS_wentylacja_piony_opisy")
		);if
		(if (= (getvar "clayer") "IS_KS_dubler_piony_oznaczenia")
			(setvar "CLAYER" "IS_KS_dubler_piony_opisy")
		);if
		;===========================================================================

		;rysujemy oznaczenie
		(setvar "CELWEIGHT" 013)
		(command "_circle" OsPionu "_d" 70)	

		;===========================================================================
		(mh:przesun OsPionu (list (entlast)))
		(setq OsOpisu (trans (cdr (assoc 10 (entget (entlast)))) 0 1))
		;===========================================================================

		(command "_line" (polar OsOpisu 0 28) (polar OsOpisu pi 28) "")
		(setvar "CELWEIGHT" -1)

		(if (= (getvar "clayer") "IS_KD_piony_opisy")
			(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KD")
		);if
		(if (= (getvar "clayer") "IS_KT_piony_opisy")
			(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KT")
		);if
		(if (= (getvar "clayer") "IS_KS_piony_opisy")
			(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KS")
		);if
		(if (= (getvar "clayer") "IS_KS_wentylacja_piony_opisy")
			(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KW")
		);if
		(if (= (getvar "clayer") "IS_KS_dubler_piony_opisy")
			(command "_.text" "_j" "_m" (polar OsOpisu (/ pi 2) 15.5) "20" "0" "KS")
		);if

		(setq nrpionu (getstring "\nPodaj NUMER pionu: "))
		(command "_.text" "_j" "_m" (polar OsOpisu (* pi 1.5) 15.5) "20" "0" nrpionu)

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun pio_kan
;=========================================================================

;=========================================================================
(defun c:rks ( / dcl_id DCL_POZIOM DCL_odl0 DCL_METRYKA_lista DCL_METRYKA zamkniecie POZIOM odl0 PUNKT0 X0 Y0 punktA2 punktB2 punktC2 Xtemp Ytemp PUNKT_temp PUNKTrura X1 Y1 punktA punktB punktC ODLEGLOSC RZEDNA X2 Y2 PUNKT2 X3 Y3 PUNKT3 X4 Y4 PUNKT4 X5 Y5 PUNKT5 )
	(if (mh:qawa)
		(progn

			(mh:ustzap)

			(setq dcl_id (load_dialog (nth *lang* (list "profilek-kanalizacja-wewnetrzna.dcl" "profilek-kanalizacja-wewnetrzna_EN.dcl"))))	;LANG;
			(if (not (new_dialog "rozwiniecie" dcl_id))
				(progn
					(alert (nth *lang* (list "Nie znaleziono pliku profilek-kanalizacja-wewnetrzna.dcl" "File not found profilek-kanalizacja-wewnetrzna_EN.dcl")))	;LANG;
					(exit)
				);progn
			);if

			;==================
			(if (null *DCL_RKS*)
				(setq *DCL_RKS* (list "-5.0" "0.0" "Rysuj metryk tabeli"))
			)
			(setq	DCL_POZIOM (nth 0 *DCL_RKS*)
					DCL_odl0 (nth 1 *DCL_RKS*)
					DCL_METRYKA (nth 2 *DCL_RKS*)
			)  
			;==================
			(setq DCL_METRYKA_lista (list "Rysuj metryk tabeli" "Nie rysuj metryki tabeli"))
			(start_list "DCL_METRYKA")
			(mapcar 'add_list DCL_METRYKA_lista)
			(end_list)
			(set_tile "DCL_METRYKA" (itoa (vl-position DCL_METRYKA DCL_METRYKA_lista))) 
			(action_tile "DCL_METRYKA" "(setq DCL_METRYKA (nth (atoi $value) DCL_METRYKA_lista))")
			;==================

			;================
			(foreach % (list "DCL_POZIOM" "DCL_odl0")	  
				(set_tile % (eval (read %)))
				(action_tile % (strcat "(setq " % " $value)"))
			)
			;================
			(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
			(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")

			(start_dialog)
			(unload_dialog dcl_id)

			(if (= zamkniecie 1)
				(progn
					(setq *DCL_RKS* (list DCL_POZIOM DCL_odl0 DCL_METRYKA))
				);progn
			);if

			;===========================================================================		
			(if (> (distof (mh:MsgCommaToDot DCL_POZIOM) 2) -51)
				(setq POZIOM (distof (mh:MsgCommaToDot DCL_POZIOM) 2))
				(progn
					(alert (nth *lang* (list "Poziom porwnawczy nie jest wpisany poprawnie!" "The comparative level is not entered correctly!")))	;LANG;
					(setq zamkniecie 0)
				)
			)
			(if (>= (distof (mh:MsgCommaToDot DCL_odl0) 2) 0)
				(setq odl0 (distof (mh:MsgCommaToDot DCL_odl0) 2))
				(progn
					(alert (nth *lang* (list "Odlego punktu \"0\" nie jest wpisana poprawnie!" "Point distance \"0\" is not entered correcly!")))	;LANG;
					(setq zamkniecie 0)
				)
			)	
			;===========================================================================		

			(if (= zamkniecie 1)
				(progn

					;===========================================================================
					;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
					(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
					(mh:warstwa "IS_tabela" nil)
					(mh:warstwa "IS_opisy" nil)
					(mh:warstwa "IS_niedruk" nil)
					;=========================================================================
					(setvar "DIMZIN" 0) ;ustawienie dokadnoci cyfr "penychg" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
					(setvar "OSNAPCOORD" 1);zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
					;=========================================================================
					(setq	PUNKT0 (getpoint (nth *lang* (list "\nWska punkt 0,0 na poziomie porwnawczym." "\nClick point 0.0 on the comparison level.")))	;LANG;
							X0 (car PUNKT0)
							Y0 (cadr PUNKT0)
							punktA2 (list X0 Y0)
							punktB2 (list X0 (- Y0 80))
							punktC2 (list X0 (- Y0 160))
					);setq
					  
					(if (= DCL_METRYKA "Rysuj metryk tabeli")
						(progn
							;narysowa metryk do tabelki
							(setvar "CLAYER" "IS_tabela")
							(command "_line" PUNKT0 "@-215,0" "@0,-160" "@215,0" "@0,80" "@-215,0" "")
							(setvar "CLAYER" "IS_opisy")
							;wstawiamy opis "Odlego"
							(setq	Xtemp (- X0 207)
									Ytemp (- Y0 40)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" (nth *lang* (list "ODLEGO [m]" "DISTANCE [m]")))	;LANG;
							;wstawiamy opis "Rzedna"
							(setq	Xtemp (- X0 207)
									Ytemp (- Y0 120)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" (nth *lang* (list "RZDNA [m]" "ORDINATE [m]")))	;LANG;
							;wstawiamy opis "Poziom por."
							(setq	Xtemp (- X0 97)
									Ytemp (+ Y0 12)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_R" PUNKT_temp "18" "0" (nth *lang* (list "poziom por." "level cf")))	;LANG;
							;wstawiamy rzdn odniesienia
							(setq	Xtemp (- X0 80)
									Ytemp (+ Y0 12)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" PUNKT_temp "18" "0" (rtos POZIOM 2 2))  
							;======================================================================================================
							;wstawiamy reklam warstw niedrukowaln
							(setvar "CLAYER" "IS_niedruk")
							(setq	Xtemp (- X0 213)
									Ytemp (- Y0 166)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" PUNKT_temp "4" "0" (nth *lang* (list "PROFILEK - autor: mgr in. Marcin Harasimowicz" "PROFILEK - author: mgr in. Marcin Harasimowicz")))	;LANG;
							(setq	Xtemp (- X0 213)
									Ytemp (- Y0 172)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" PUNKT_temp "4" "0" "www.instalacjesanitarne.com")
							(setvar "CLAYER" "IS_opisy")
							;======================================================================================================
							;wstawiamy znak skali profilu
							(setq	Xtemp (- X0 180)
									Ytemp (+ Y0 80)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_circle" PUNKT_temp "10")
							(setq	Xtemp (- X0 180)
									Ytemp (+ Y0 90)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_line" PUNKT_temp "@0,80" "@-10,-7" "@10,32" "@10,-32" "@-10,7" "")
							(setq	Xtemp (- X0 170)
									Ytemp (+ Y0 80)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_line" PUNKT_temp "@80,0" "@-7,10" "@32,-10" "@-32,-10" "@7,10" "")
							(setq	Xtemp (- X0 160)
									Ytemp (+ Y0 125)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" "1:")
							(setq	Xtemp (- X0 143)
									Ytemp (+ Y0 125)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_line" PUNKT_temp "@48,0" "")
							(setq	Xtemp (- X0 161)
									Ytemp (+ Y0 66)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" "1:100")
							(setq	Xtemp (- X0 137)
									Ytemp (+ Y0 113)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" "100")
							(setq	Xtemp (- X0 194)
									Ytemp (+ Y0 99)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "90" "1:100")
							(setq	Xtemp (- X0 137)
									Ytemp (+ Y0 137)
									PUNKT_temp (list Xtemp Ytemp))
							(command "_.text" "_J" "_ML" PUNKT_temp "18" "0" "100")
						);progn
					);if
					;koniec rysowania metryki tabelki
					  
					  
					  

					(setq PUNKTrura (getpoint (nth *lang* (list "\nWska pierwszy punkt na rozwiniciu." "\nPick the first point on the develop."))))	;LANG
					  
					(while PUNKTrura
						(setq	X1 (car PUNKTrura)
								Y1 (cadr PUNKTrura)
								punktA punktA2
								punktB punktB2
								punktC punktC2
						);setq

						;ustawiamy zmienne ODLEGLOSC i RZEDNA
						(setq	ODLEGLOSC (+ (/ (- X1 X0) 100) odl0)
								RZEDNA (+  POZIOM (/ (- Y1 Y0) 100))
						)

						;zwcad wpisuje text odlego i rzedna w tabelce
						(setvar "CLAYER" "IS_opisy")
						(setq	X2 (- X1 5.0)
								Y2 (- Y0 40)
								PUNKT2 (list X2 Y2)
						)
						(command "_.text" "_J" "_C" PUNKT2 "18" "90" (rtos ODLEGLOSC 2 2) )
 
						(setq	X3 (- X1 5.0)
								Y3 (- Y0 120)
								PUNKT3 (list X3 Y3)
						)
						(command "_.text" "_J" "_C" PUNKT3 "18" "90" (rtos RZEDNA 2 2) )
						  
						;rysowanie linii tabelki
						(setvar "CLAYER" "IS_tabela")
						(setq	X4 X1
								Y4 (- Y0 160)
								PUNKT4 (list X4 Y4);punkt4 jest dolnym punktem pionowej linii tabelki
								X5 X1
								Y5 (- Y1 15)
								PUNKT5 (list X5 Y5);punkt5 jest grnym punktem pionowej linii tabelki
								punktC2 PUNKT4
								punktB2 (list X4 (+ Y4 80))
								punktA2 (list X4 (+ Y4 160))
						)
						(command "_line" PUNKTA2 PUNKT5 "")
						(command "_line" PUNKTA2 PUNKTB2 "")
						(command "_line" PUNKTB2 PUNKTC2 "")
						(command "_line" punktA punktA2 "")
						(command "_line" punktB punktB2 "")
						(command "_line" punktC punktC2 "")
						; koniec rysowania linii tabelki
						(setq PUNKTrura (getpoint (nth *lang* (list "\nWska kolejny punkt na rozwiniciu." "\nPick the next point on the develop."))))	;LANG;
					);while
				  
				);progn
			  );if
			  
			  
			(mh:ustprzywr)
		  
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun RKS
;=========================================================================

;=========================================================================
(defun c:wpiszspadek ( / linia wspA wspB temp1 SrLin PunOpSr PunOpSp deltax deltay kattextu spadek)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			(setvar "DIMZIN" 0)
			(setvar "OSNAPCOORD" 1)
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			(mh:warstwa "IS_opisy" T)

			(setq	linia	(entget (ssname (ssget "_:S" '((0 . "LINE"))) 0))
					wspA	(trans (cdr (assoc 10 linia)) 0 1)
					wspB	(trans (cdr (assoc 11 linia)) 0 1)
			)

			(if (or 										; ewentualna zamiana wspA i wspB miejscami
					(> (nth 0 wspB) (nth 0 wspA))			; XB>XA
					(and	(= (nth 0 wspB) (nth 0 wspA))	; XB=XA
							(> (nth 1 wspB) (nth 1 wspA))	; YB>YA
					)
				)
				(setq	temp1 wspA
						wspA wspB
						wspB temp1
				)
			)

			(setq	SrLin	(polar wspA (angle wspA wspB) (/ (distance wspA wspB) 2))
					PunOpSr (polar SrLin (- (angle wspA wspB) (* pi 0.5)) 13)
					PunOpSp (polar SrLin (+ (angle wspA wspB) (* pi 0.5)) 13)
					deltax	(abs (- (nth 0 wspA) (nth 0 wspB)))
					deltay	(abs (- (nth 1 wspA) (nth 1 wspB)))
					kattextu (rtos (mh:CON_rad2deg (angle wspB wspA) T) 2 2)
			)

			;(if (not (or (zerop deltax) (zerop deltay))) 					; inne zaokraglenie potrzebne !!!!!!!!!!!!!! nie tak dokadnie np (equal 3.1415 pi 0.001)
			(if (not (or (equal deltax 0 0.01) (equal deltay 0 0.01))) 		; inne zaokraglenie potrzebne !!!!!!!!!!!!!! nie tak dokadnie np (equal 3.1415 pi 0.001)
					(setq	spadek	(strcat "i=" (rtos (* (/ deltay deltax) 100) 2 1) "%"))
					;(setq	spadek	nil)   ;sprawdzic czy ZW to zaakceptuje?????????????
					(setq	spadek	"i=0.0%")   ;sprawdzic czy ZW to zaakceptuje?????????????
			);if

			(command "_.text" "_J" "_MC" PunOpSr "18" kattextu	(strcat "PVC"
																		(mh:GetChoisText
																			(nth *lang* (list "\nrednica przewodu kanalizacyjnego: " "\nSewer pipe diameter: "))	;LANG
																			(list
																				"25"
																				"32"
																				"40"
																				"50"
																				"75"
																				"110"
																				"160"
																				"200"
																				"250"
																			)
																			"160"
																		)
																)
			)

			(if spadek
				(command "_.text" "_J" "_MC" PunOpSp "18" kattextu spadek)
			)

			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:rosks ( / szerpline ROSDN ROSDL tryb PUNKT1 PUNKT2 A1 A2 B1 B2 tempa1 tempa2 PUNKTZ)
	(if (mh:qawa)
		(progn

			(mh:ustzap)

			(setq szerpline (getvar "PLINEWID"))
			(setvar "PLINEWID" 0.0)

			;=============================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			(mh:warstwa "IS_ROS" T)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================

			(setq	ROSDN 20.0 ;ROSDN to srednica zewnetrzna rury osonowej
					ROSDL 4.0 ;ROSDL to przeduenie za cian rury osonowej
			);setq

			(setq tryb	(mh:GetChoisText
							(nth *lang* (list "\nRysowa rur osonow na Rzucie czy Profilu:" "\nDraw the casing pipe on the Plan or Profile:"))	;LANG;
							(list
								(nth *lang* (list "Rzut" "Plan"))	;LANG
								(nth *lang* (list "Profil" "Profile"))	;LANG;
							)
							(nth *lang* (list "Rzut" "Plan"))	;LANG
						)
			)

			(setq	PUNKT1 (getpoint (nth *lang* (list "\nKliknij pocztek rury osonowej (na cianie): " "\nClick the start of the casing pipe (on the wall): ")))	;LANG;
					PUNKT2 (getpoint PUNKT1 (nth *lang* (list "\nKliknij koniec rury osonowej (na cianie): " "\nClick the end of the casing pipe (on the wall): ")))	;LANG;
			)

			(if (= tryb (nth *lang* (list "Rzut" "Plan")))	;LANG;
				(setq	A1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (+ (angle PUNKT1 PUNKT2) (/ pi 2)) (/ ROSDN 2))
						A2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (- (angle PUNKT2 PUNKT1) (/ pi 2)) (/ ROSDN 2))
						B1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (- (angle PUNKT1 PUNKT2) (/ pi 2)) (/ ROSDN 2))
						B2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (+ (angle PUNKT2 PUNKT1) (/ pi 2)) (/ ROSDN 2))
				)
				(setq	A1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (* pi 1.5) (* ROSDN 0.25))
						A2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (* pi 1.5) (* ROSDN 0.25))
						B1 (polar (polar PUNKT2 (angle PUNKT1 PUNKT2) ROSDL) (* pi 0.5) (* ROSDN 0.75))
						B2 (polar (polar PUNKT1 (angle PUNKT2 PUNKT1) ROSDL) (* pi 0.5) (* ROSDN 0.75))
				)
			);if

			(mh:ENT_Make_LWPolyline "IS_ROS" nil (list A1 A2 B2 B1) 1)

			(setvar "CLAYER" "IS_opisy")

			(setq	tempa1 (polar A1 (angle A1 A2) (/ (distance A1 A2) 2))
					tempa2 (polar B1 (angle B1 B2) (/ (distance B1 B2) 2))
					PUNKTZ (getpoint tempa1 (nth *lang* (list "\nWska punkt wstawienia opisu:" "\nSpecify the insertion point for the description:")))	;LANG;
			);setq
			(if (< (distance tempa1 PUNKTZ) (distance tempa2 PUNKTZ))
				(progn 
					(command "_line" tempa1 PUNKTZ "")
					(setq PUNKT2 tempa1)
				)
				(progn
					(command "_line" tempa2 PUNKTZ "")
					(setq PUNKT2 tempa2)
				)
			);if

			(if (< (car PUNKT2) (car PUNKTZ))
				(progn
					(command	"_line" PUNKTZ "@80,0" ""
								"_.text" "_j" "_mc" (polar (polar PUNKTZ 0 40) (* pi 0.5) 12) "18" "0" (nth *lang* (list "ROS" "CSP"))	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKTZ 0 40) (* pi 1.5) 12) "18" "0" (strcat "PVC" (mh:GetChoisText (nth *lang* (list "\nrednica rury osonowej:" "\nCasing pipe diameter:")) (list "110" "160" "200" "250" "315" "350" "400") "200"))	;LANG;
					)

				);progn
				(progn
					(command	"_line" PUNKTZ "@-80,0" ""
								"_.text" "_j" "_mc" (polar (polar PUNKTZ pi 40) (* pi 0.5) 12) "18" "0" (nth *lang* (list "ROS" "CSP"))	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKTZ pi 40) (* pi 1.5) 12) "18" "0" (strcat "PVC" (mh:GetChoisText (nth *lang* (list "\nrednica rury osonowej:" "\nCasing pipe diameter:")) (list "110" "160" "200" "250" "315" "350" "400") "200"))	;LANG;
					)

				);progn
			);if

			(setvar "PLINEWID" szerpline)

			(mh:ustprzywr)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun rosks
;=========================================================================

;=========================================================================
(defun c:roz_wc ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_biala_armatura" T)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@20,40" "@-40,0" "_c"
						"_line" (polar PUNKT0 (/ pi 2) 40) "@0,15" "@-20,0" "@0,18" "@40,0" "@0,-18" "@-20,0" ""
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_wc
;=========================================================================

;=========================================================================
(defun c:roz_pis ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" T)
			(mh:warstwa "IS_biala_armatura" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@0,30" "")
			(setvar "CLAYER" "IS_biala_armatura")
			(command	"_line" (polar PUNKT0 (/ pi 2) 40) "@18,10" "@0,16" "@-36,0" "@0,-16" "_c"
						"_line" (polar PUNKT0 (/ pi 2) 30) "@3,0" "@0,11.667" ""
						"_line" (polar PUNKT0 (/ pi 2) 30) "@-3,0" "@0,11.667" ""
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_pis
;=========================================================================

;=========================================================================
(defun c:roz_bid ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" T)
			(mh:warstwa "IS_biala_armatura" nil)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@0,20" ""
			)
			(setvar "CLAYER" "IS_bateria_woda")
			(command	"_line" (polar PUNKT0 (/ pi 2) 45) "@-10,6" "@20,0" "_c"
						"_line" (polar (polar PUNKT0 (/ pi 2) 51) 0 10) "@0,7.5" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 51) pi 10) "@0,7.5" ""
			)
			(setvar "CLAYER" "IS_biala_armatura")
			(command	"_line" (polar PUNKT0 (/ pi 2) 20) "@18,18" ""
						"_line" (polar PUNKT0 (/ pi 2) 20) "@-18,18" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 38) pi 20) "@40,0" ""
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_bid
;=========================================================================

;=========================================================================
(defun c:roz_umyw ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" T)
			(mh:warstwa "IS_biala_armatura" nil)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@0,41" ""
						"_line" (polar PUNKT0 (/ pi 2) 51) "@0,7" ""
			)
			(setvar "CLAYER" "IS_bateria_woda")
			(command	"_line" (polar PUNKT0 (/ pi 2) 90.5) "@-10,6" "@20,0" "@-20,-12" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) 0 10) "@0,7.5" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) pi 10) "@0,7.5" ""
			)
			(setvar "CLAYER" "IS_biala_armatura")
			(command	"_line" (polar PUNKT0 (/ pi 2) 41) "@-4,0" "@0,10" "@8,0" "@0,-10" "_c"
						"_line" (polar PUNKT0 (/ pi 2) 76) "@-30,0" "@0,4" "@60,0" "@0,-4" "_c"
						"_arc" (polar (polar PUNKT0 (/ pi 2) 76) pi 23) (polar PUNKT0 (/ pi 2) 58) (polar (polar PUNKT0 (/ pi 2) 76) 0 23)
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_umyw
;=========================================================================

;=========================================================================
(defun c:roz_zlew ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" T)
			(mh:warstwa "IS_biala_armatura" nil)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@0,41" ""
						"_line" (polar PUNKT0 (/ pi 2) 51) "@0,7" ""
			)
			(setvar "CLAYER" "IS_bateria_woda")
			(command	"_line" (polar PUNKT0 (/ pi 2) 90.5) "@-10,6" "@20,0" "@-20,-12" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) 0 10) "@0,7.5" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) pi 10) "@0,7.5" ""
			)
			(setvar "CLAYER" "IS_biala_armatura")
			(command	"_line" (polar PUNKT0 (/ pi 2) 41) "@-4,0" "@0,10" "@8,0" "@0,-10" "_c"
						"_line" (polar (polar PUNKT0 (/ pi 2) 58) pi 19) "@0,22" "@38,0" "@0,-22" "_c"
						"_line" (polar (polar PUNKT0 (/ pi 2) 75) pi 19) (polar (polar PUNKT0 (/ pi 2) 75) 0 19) ""
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_zlew
;=========================================================================

;=========================================================================
(defun c:roz_zlewoz ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" T)
			(mh:warstwa "IS_biala_armatura" nil)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" PUNKT0 "@0,50" ""
			)
			(setvar "CLAYER" "IS_bateria_woda")
			(command	"_line" (polar PUNKT0 (/ pi 2) 90.5) "@-10,6" "@20,0" "@-20,-12" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) 0 10) "@0,7.5" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 96.5) pi 10) "@0,7.5" ""
			)
			(setvar "CLAYER" "IS_biala_armatura")
			(command	"_line" (polar PUNKT0 (/ pi 2) 50) "@-8,0" "@0,8" ""
						"_line" (polar PUNKT0 (/ pi 2) 50) "@8,0" "@0,8" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 58) pi 38) "@0,22" "@76,0" "@0,-22" "_c"
						"_line" (polar (polar PUNKT0 (/ pi 2) 75) pi 38) (polar (polar PUNKT0 (/ pi 2) 75) 0 38) ""
						"_line" (polar PUNKT0 (/ pi 2) 58) "@0,17" ""
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_zlewoz
;=========================================================================

;=========================================================================
(defun c:roz_pral ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 pi 30) "@60,0" "@0,85" "@-60,0" "_c"
						"_line" (polar (polar PUNKT0 pi 30) (/ pi 2) 10) "@60,0" ""
						"_circle" (polar PUNKT0 (/ pi 2) 50) "_d" "34"
			)
			(setq PUNKT1 (getpoint (polar PUNKT0 (/ pi 2) 50) (nth *lang* (list "\nKliknij kierunek odejcia kanalizacji." "\nClick drain direction."))))	;LANG;
			(setvar "CLAYER" "IS_opisy")
			(command	"_line" (polar (polar PUNKT0 (* 0.5 pi) 140) 0 70) (polar (polar PUNKT0 (* 0.5 pi) 140) pi 70) ""
						"_.text" "_j" "_c" (polar PUNKT0 (* 0.5 pi) 148) "18" "0" (nth *lang* (list "podczenie" "washing machine"))	;LANG;
						"_.text" "_j" "_tc" (polar PUNKT0 (* 0.5 pi) 137) "18" "0" (nth *lang* (list "do pralki" "connection"))	;LANG;
			)
			(if (> (car PUNKT0) (car PUNKT1))
				(command "_line" (polar (polar PUNKT0 (* 0.5 pi) 52) pi 37) (polar (polar PUNKT0 (* 0.5 pi) 140) pi 70) "")
				(command "_line" (polar (polar PUNKT0 (* 0.5 pi) 52) 0 37) (polar (polar PUNKT0 (* 0.5 pi) 140) 0 70) "")
			);if
			(setvar "CLAYER" "IS_KS")
			(setvar "CELWEIGHT" 020)
			(if (> (car PUNKT0) (car PUNKT1))
				(command	"_circle" (polar (polar PUNKT0 (* 0.5 pi) 50) pi 37) "_d" "4" )
				(command	"_circle" (polar (polar PUNKT0 (* 0.5 pi) 50) 0 37) "_d" "4" )
			);if

			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_pral
;=========================================================================

;=========================================================================
(defun c:roz_zmyw ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 pi 30) "@60,0" "@0,85" "@-60,0" "_c"
						"_line" (polar (polar PUNKT0 pi 30) (/ pi 2) 10) "@60,0" ""
						"_line" (polar PUNKT0 (/ pi 2) 15) "@5,6" "@-5,12" "@5,6" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 15) 0 10) "@5,6" "@-5,12" "@5,6" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 15) pi 10) "@5,6" "@-5,12" "@5,6" ""
			)
			(setq PUNKT1 (getpoint (polar PUNKT0 (/ pi 2) 50) (nth *lang* (list "\nKliknij kierunek odejcia kanalizacji." "\nClick drain direction."))))	;LANG;
			(setvar "CLAYER" "IS_opisy")
			(command	"_line" (polar (polar PUNKT0 (* 0.5 pi) 140) 0 70) (polar (polar PUNKT0 (* 0.5 pi) 140) pi 70) ""
						"_.text" "_j" "_c" (polar PUNKT0 (* 0.5 pi) 148) "18" "0" (nth *lang* (list "podczenie" "dishwasher"))	;LANG;
						"_.text" "_j" "_tc" (polar PUNKT0 (* 0.5 pi) 137) "18" "0" (nth *lang* (list "zmywarki" "connection"))	;LANG;
						)
			(if (> (car PUNKT0) (car PUNKT1))
				(command "_line" (polar (polar PUNKT0 (* 0.5 pi) 52) pi 37) (polar (polar PUNKT0 (* 0.5 pi) 140) pi 70) "")
				(command "_line" (polar (polar PUNKT0 (* 0.5 pi) 52) 0 37) (polar (polar PUNKT0 (* 0.5 pi) 140) 0 70) "")
			);if
			(setvar "CLAYER" "IS_KS")
			(setvar "CELWEIGHT" 020)
			(if (> (car PUNKT0) (car PUNKT1))
				(command	"_circle" (polar (polar PUNKT0 (* 0.5 pi) 50) pi 37) "_d" "4" )
				(command	"_circle" (polar (polar PUNKT0 (* 0.5 pi) 50) 0 37) "_d" "4" )
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_zmyw
;=========================================================================

;=========================================================================
(defun c:roz_prysz ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 pi 45) "@90,0" "@0,30" "@-90,0" "_c"
						"_line" (polar (polar PUNKT0 pi 25) (/ pi 2) 10) "@50,0" ""
						"_line" (polar (polar PUNKT0 pi 35) (/ pi 2) 20) "@0,5" ""
						"_line" (polar (polar PUNKT0 0 35) (/ pi 2) 20) "@0,5" ""
						"_arc" "_c" (polar (polar PUNKT0 pi 40) (/ pi 2) 25) (polar (polar PUNKT0 pi 35) (/ pi 2) 25) (polar (polar PUNKT0 pi 40) (/ pi 2) 30)
						"_arc" "_c" (polar (polar PUNKT0 pi 25) (/ pi 2) 20) (polar (polar PUNKT0 pi 35) (/ pi 2) 20) (polar (polar PUNKT0 pi 25) (/ pi 2) 10)
						"_arc" "_c" (polar (polar PUNKT0 0 40) (/ pi 2) 25) (polar (polar PUNKT0 0 40) (/ pi 2) 30) (polar (polar PUNKT0 0 35) (/ pi 2) 25)
						"_arc" "_c" (polar (polar PUNKT0 0 25) (/ pi 2) 20) (polar (polar PUNKT0 0 25) (/ pi 2) 10) (polar (polar PUNKT0 0 35) (/ pi 2) 20)
						"_line" (polar PUNKT0 (/ pi 2) 110) "@0,112" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 227) pi 5) "@-10,0" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 222) pi 20) "@0,-5" "@-2.1,-4.1" "@4.2,0" "@-2.1,4.1" ""
						"_arc" "_c" (polar (polar PUNKT0 pi 5) (/ pi 2) 222) (polar (polar PUNKT0 pi 0) (/ pi 2) 222) (polar (polar PUNKT0 pi 5) (/ pi 2) 227)
						"_arc" "_c" (polar (polar PUNKT0 pi 15) (/ pi 2) 222) (polar (polar PUNKT0 pi 15) (/ pi 2) 227) (polar (polar PUNKT0 pi 20) (/ pi 2) 222)
			);command
			(setvar "CLAYER" "IS_bateria_woda")
			(command	"_line" (polar PUNKT0 (/ pi 2) 110) "@-10,6" "@20,0" "@-20,-12" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 116) 0 10) "@0,7.5" ""
						"_line" (polar (polar PUNKT0 (/ pi 2) 116) pi 10) "@0,7.5" ""
						"_circle" (polar (polar PUNKT0 (/ pi 2) 101.3) 0 6.5) "_d" "6"
						"_spline" (polar (polar PUNKT0 (/ pi 2) 110) 0 0) (polar (polar PUNKT0 (/ pi 2) 110) 0 3.6) (polar (polar PUNKT0 (/ pi 2) 106.6) 0 0.3) (polar (polar PUNKT0 (/ pi 2) 107.2) 0 6.1) (polar (polar PUNKT0 (/ pi 2) 102.8) 0 3.9) "" "" ""
			);command
			(setq PUNKT1 (getpoint (polar PUNKT0 (/ pi 2) 50) (nth *lang* (list "\nKliknij kierunek odejcia kanalizacji." "\nClick drain direction."))))	;LANG;
			(setvar "CLAYER" "IS_KS")
			(if (> (car PUNKT0) (car PUNKT1))
				(progn
					(command	"_line" (polar (polar PUNKT0 pi 25) (/ pi 2) 10) "@0,-6" ""
								"_line" (polar (polar PUNKT0 pi 28) (/ pi 2) 1) "@-2,0" ""
								"_line" (polar (polar PUNKT0 pi 33) (/ pi 2) 4) "@0,1" ""
								"_line" (polar (polar PUNKT0 pi 36) (/ pi 2) 8) "@-12,0" ""
								"_arc" "_c" (polar (polar PUNKT0 pi 28) (/ pi 2) 4) (polar (polar PUNKT0 pi 28) (/ pi 2) 1) (polar (polar PUNKT0 pi 25) (/ pi 2) 4)
								"_arc" "_c" (polar (polar PUNKT0 pi 30) (/ pi 2) 4) (polar (polar PUNKT0 pi 33) (/ pi 2) 4) (polar (polar PUNKT0 pi 30) (/ pi 2) 1)
								"_arc" "_c" (polar (polar PUNKT0 pi 36) (/ pi 2) 5) (polar (polar PUNKT0 pi 33) (/ pi 2) 5) (polar (polar PUNKT0 pi 36) (/ pi 2) 8)
								)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 pi 48) (/ pi 2) 3) "@0,10" "")
				);progn
				(progn
					(command	"_line" (polar (polar PUNKT0 0 25) (/ pi 2) 10) "@0,-6" ""
								"_line" (polar (polar PUNKT0 0 28) (/ pi 2) 1) "@2,0" ""
								"_line" (polar (polar PUNKT0 0 33) (/ pi 2) 4) "@0,1" ""
								"_line" (polar (polar PUNKT0 0 36) (/ pi 2) 8) "@12,0" ""
								"_arc" "_c" (polar (polar PUNKT0 0 28) (/ pi 2) 4) (polar (polar PUNKT0 0 25) (/ pi 2) 4) (polar (polar PUNKT0 0 28) (/ pi 2) 1)
								"_arc" "_c" (polar (polar PUNKT0 0 30) (/ pi 2) 4) (polar (polar PUNKT0 0 30) (/ pi 2) 1) (polar (polar PUNKT0 0 33) (/ pi 2) 4)
								"_arc" "_c" (polar (polar PUNKT0 0 36) (/ pi 2) 5) (polar (polar PUNKT0 0 36) (/ pi 2) 8) (polar (polar PUNKT0 0 33) (/ pi 2) 5)
					)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 0 48) (/ pi 2) 3) "@0,10" "")
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_prysz
;=========================================================================

;=========================================================================
(defun c:roz_wann ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			(mh:warstwa "IS_bateria_woda" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 pi 70) "@140,0" "@0,60" "@-140,0" "_c");command
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij kierunek odejcia kanalizacji." "\nClick drain direction."))))	;LANG;
			;=============================================================
			(if (> (car PUNKT0) (car PUNKT1))
				(progn
					(setvar "CLAYER" "IS_bateria_woda")
					(command	"_line" (polar (polar PUNKT0 (/ pi 2) 75) pi 45) "@-10,6" "@20,0" "@-20,-12" ""
								"_line" (polar (polar PUNKT0 (/ pi 2) 81) pi 35) "@0,7.5" ""
								"_line" (polar (polar PUNKT0 (/ pi 2) 81) pi 55) "@0,7.5" ""
								"_circle" (polar (polar PUNKT0 (/ pi 2) 66.3) pi 38.5) "_d" "6"
								"_spline" (polar (polar PUNKT0 (/ pi 2) 75) pi 45) (polar (polar PUNKT0 (/ pi 2) 75) pi 41.4) (polar (polar PUNKT0 (/ pi 2) 71.6) pi 44.7) (polar (polar PUNKT0 (/ pi 2) 72.2) pi 38.9) (polar (polar PUNKT0 (/ pi 2) 67.8) pi 41.1) "" "" ""
					);command
					(setvar "CLAYER" "IS_biala_armatura")
					(command "_line" (polar (polar PUNKT0 (/ pi 2) 60) 0 70) "@-23,-40" "@-106,0" "@-5,40" ""
					);command
				);progn
				(progn
					(setvar "CLAYER" "IS_bateria_woda")
					(command	"_line" (polar (polar PUNKT0 (/ pi 2) 75) 0 45) "@-10,6" "@20,0" "@-20,-12" ""
								"_line" (polar (polar PUNKT0 (/ pi 2) 81) 0 55) "@0,7.5" ""
								"_line" (polar (polar PUNKT0 (/ pi 2) 81) 0 35) "@0,7.5" ""
								"_circle" (polar (polar PUNKT0 (/ pi 2) 66.3) 0 51.5) "_d" "6"
								"_spline" (polar (polar PUNKT0 (/ pi 2) 75) 0 45) (polar (polar PUNKT0 (/ pi 2) 75) 0 48.6) (polar (polar PUNKT0 (/ pi 2) 71.6) 0 45.3) (polar (polar PUNKT0 (/ pi 2) 72.2) 0 51.1) (polar (polar PUNKT0 (/ pi 2) 67.8) 0 48.9) "" "" ""
					);command
					(setvar "CLAYER" "IS_biala_armatura")
					(command "_line" (polar (polar PUNKT0 (/ pi 2) 60) pi 70) "@23,-40" "@106,0" "@5,40" ""
					);command
				);progn
			);if
			;=============================================================
			; odejcia w d
			(if (and (> (car PUNKT0) (car PUNKT1)) (> (cadr PUNKT0) (cadr PUNKT1)))
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 pi 54) (/ pi 2) 20) "@0,-7" ""
								"_line" (polar (polar PUNKT0 pi 60) (/ pi 2) 13) "@0,1" ""
								"_line" (polar (polar PUNKT0 pi 66) (/ pi 2) 14) "@0,-20" ""
								"_arc" "_c" (polar (polar PUNKT0 pi 57) (/ pi 2) 13) (polar (polar PUNKT0 pi 57) (/ pi 2) 10) (polar (polar PUNKT0 pi 54) (/ pi 2) 13)
								"_arc" "_c" (polar (polar PUNKT0 pi 57) (/ pi 2) 13) (polar (polar PUNKT0 pi 60) (/ pi 2) 13) (polar (polar PUNKT0 pi 57) (/ pi 2) 10)
								"_arc" "_c" (polar (polar PUNKT0 pi 63) (/ pi 2) 14) (polar (polar PUNKT0 pi 60) (/ pi 2) 14) (polar (polar PUNKT0 pi 63) (/ pi 2) 17)
								"_arc" "_c" (polar (polar PUNKT0 pi 63) (/ pi 2) 14) (polar (polar PUNKT0 pi 63) (/ pi 2) 17) (polar (polar PUNKT0 pi 66) (/ pi 2) 14)
								)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 pi 61) (* pi 1.5) 3) "@-10,0" "")
				);progn
			);if

			(if (and (<= (car PUNKT0) (car PUNKT1)) (> (cadr PUNKT0) (cadr PUNKT1)))
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 0 54) (/ pi 2) 20) "@0,-7" ""
								"_line" (polar (polar PUNKT0 0 60) (/ pi 2) 13) "@0,1" ""
								"_line" (polar (polar PUNKT0 0 66) (/ pi 2) 14) "@0,-20" ""
								"_arc" "_c" (polar (polar PUNKT0 0 57) (/ pi 2) 13) (polar (polar PUNKT0 0 54) (/ pi 2) 13) (polar (polar PUNKT0 0 57) (/ pi 2) 10)
								"_arc" "_c" (polar (polar PUNKT0 0 57) (/ pi 2) 13) (polar (polar PUNKT0 0 57) (/ pi 2) 10) (polar (polar PUNKT0 0 60) (/ pi 2) 13)
								"_arc" "_c" (polar (polar PUNKT0 0 63) (/ pi 2) 14) (polar (polar PUNKT0 0 63) (/ pi 2) 17) (polar (polar PUNKT0 0 60) (/ pi 2) 14)
								"_arc" "_c" (polar (polar PUNKT0 0 63) (/ pi 2) 14) (polar (polar PUNKT0 0 66) (/ pi 2) 14) (polar (polar PUNKT0 0 63) (/ pi 2) 17)
								)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 0 61) (* pi 1.5) 3) "@10,0" "")
				);progn
			);if
			;=============================================================
			; odejcia w boki
			(if (and (> (car PUNKT0) (car PUNKT1)) (<= (cadr PUNKT0) (cadr PUNKT1)))
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 pi 52) (/ pi 2) 20) "@0,-7" ""
								"_line" (polar (polar PUNKT0 pi 55) (/ pi 2) 10) "@-2,0" ""
								"_line" (polar (polar PUNKT0 pi 60) (/ pi 2) 13) "@0,1" ""
								"_line" (polar (polar PUNKT0 pi 63) (/ pi 2) 17) "@-12,0" ""
								"_arc" "_c" (polar (polar PUNKT0 pi 55) (/ pi 2) 13) (polar (polar PUNKT0 pi 55) (/ pi 2) 10) (polar (polar PUNKT0 pi 52) (/ pi 2) 13)
								"_arc" "_c" (polar (polar PUNKT0 pi 57) (/ pi 2) 13) (polar (polar PUNKT0 pi 60) (/ pi 2) 13) (polar (polar PUNKT0 pi 57) (/ pi 2) 10)
								"_arc" "_c" (polar (polar PUNKT0 pi 63) (/ pi 2) 14) (polar (polar PUNKT0 pi 60) (/ pi 2) 14) (polar (polar PUNKT0 pi 63) (/ pi 2) 17)
								)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 pi 72) (/ pi 2) 12) "@0,10" "")
				);progn
			);if

			(if (and (< (car PUNKT0) (car PUNKT1)) (<= (cadr PUNKT0) (cadr PUNKT1)))
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 0 52) (/ pi 2) 20) "@0,-7" ""
								"_line" (polar (polar PUNKT0 0 55) (/ pi 2) 10) "@2,0" ""
								"_line" (polar (polar PUNKT0 0 60) (/ pi 2) 13) "@0,1" ""
								"_line" (polar (polar PUNKT0 0 63) (/ pi 2) 17) "@12,0" ""
								"_arc" "_c" (polar (polar PUNKT0 0 55) (/ pi 2) 13) (polar (polar PUNKT0 0 52) (/ pi 2) 13) (polar (polar PUNKT0 0 55) (/ pi 2) 10)
								"_arc" "_c" (polar (polar PUNKT0 0 57) (/ pi 2) 13) (polar (polar PUNKT0 0 57) (/ pi 2) 10) (polar (polar PUNKT0 0 60) (/ pi 2) 13)
								"_arc" "_c" (polar (polar PUNKT0 0 63) (/ pi 2) 14) (polar (polar PUNKT0 0 63) (/ pi 2) 17) (polar (polar PUNKT0 0 60) (/ pi 2) 14)
								)
					(setvar "CELWEIGHT" 020)
					(command "_line" (polar (polar PUNKT0 0 72) (/ pi 2) 12) "@0,10" "")
				);progn
			);if
			;=============================================================
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_wann
;=========================================================================

;=========================================================================
(defun c:roz_wpus ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia" "\nClick the insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 pi 8) "@16,0" "@-3,-10" "@-10,0" "_c")
			(setvar "CLAYER" "IS_KS")
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij kierunek odejcia kanalizacji." "\nClick drain direction."))))	;LANG;
			(if (= (car PUNKT0) (car PUNKT1))
				(command	"_line" (polar PUNKT0 (* 1.5 pi) 10) "@0,-10" "" )
			);if
			(if (> (car PUNKT0) (car PUNKT1))
				(command	"_line" (polar (polar PUNKT0 (* 1.5 pi) 10) pi 5) "@-10,-0.2" "" )
			);if
			(if (< (car PUNKT0) (car PUNKT1))
				(command	"_line" (polar (polar PUNKT0 (* 1.5 pi) 10) 0 5) "@10,-0.2" "" )
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_wpus
;=========================================================================

;=========================================================================
(defun c:roz_wpks (/ LST)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			(mh:warstwa "IS_KS" T)
			(setvar "CELWEIGHT" 025)
			;=========================================================================
				(defun mh:DYNwpustKS ( / VE VP P1 P2 P3 P4 P5 P6 P7 P8)
					(while (= 5 (car (setq VP (grread T 13 0))))
						(redraw)
						(setq	VE (cadr VP)
								P1 (polar (polar VE (* pi 0) 7.5) (* pi 0.5) 7.5)
								P2 (polar (polar VE (* pi 0) 14) (* pi 0.5) 14)
								P3 (polar (polar VE (* pi 1) 7.5) (* pi 0.5) 7.5)
								P4 (polar (polar VE (* pi 1) 14) (* pi 0.5) 14)
								P5 (polar (polar VE (* pi 1) 7.5) (* pi 1.5) 7.5)
								P6 (polar (polar VE (* pi 1) 14) (* pi 1.5) 14)
								P7 (polar (polar VE (* pi 0) 7.5) (* pi 1.5) 7.5)
								P8 (polar (polar VE (* pi 0) 14) (* pi 1.5) 14)
						)
						(grvecs (list 1 P1 P3 P3 P5 P5 P7 P7 P1 P1 P2 P3 P4 P5 P6 P7 P8))
					)
					(redraw)
					(if (= 3 (car VP))
						(list P1 P2 P1 P3 P4 P3 P5 P6 P5 P7 P8 P7)
					)
				)
			;=========================================================================
			(princ (nth *lang* (list "\nKliknij o wpustu kanalizacyjnego: " "\nClick the axis of the sewer inlet: ")))	;LANG;

			(if (setq LST (mh:DYNwpustKS))
				(progn
					(mh:SYS_StartUndo)
					(mh:ENT_Make_LWPolyline (getvar "CLAYER") nil LST 1)
					(mh:SYS_EndUndo)
				)
				(princ (nth *lang* (list "\n nieprawidowy punkt." "\n invalid point.")))	;LANG;
			)
			(mh:obroc (inters (nth 0 LST) (nth 6 LST) (nth 3 LST) (nth 9 LST)) (list (entlast)))		
			(redraw)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:roz_klim ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia na stropie" "\nClick the insertion point on the ceiling"))))	;LANG;
			(command	"_line" (polar (polar PUNKT0 pi 50) (* pi 1.5) 10) "@100,0" "@0,-30" "@-100,0" "@0,30" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<0" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<45" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<90" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<135" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<180" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<225" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<270" ""
						"_line" (polar (polar PUNKT0 pi 25) (* pi 1.5) 25) "@12<315" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<0" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<45" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<90" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<135" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<180" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<225" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<270" ""
						"_line" (polar (polar PUNKT0 0 25) (* pi 1.5) 25) "@12<315" ""
			)
			(setq PUNKT1 (getpoint (polar (polar PUNKT0 pi 0) (* pi 1.5) 25) (nth *lang* (list "\nKliknij stron odejcia skroplin z klimatyzatora." "\nClick the condensate drain side of the air conditioner."))))	;LANG;
			(if (> (car PUNKT0) (car PUNKT1))
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 pi 50) (* pi 1.5) 25) "@-7,0" "")
					(setvar "CELWEIGHT" 020)
					(command	"_line" (polar (polar PUNKT0 pi 53.5) (* pi 1.5) 20) "@0,-10" "")
				);progn
				(progn
					(setvar "CLAYER" "IS_KS")
					(command	"_line" (polar (polar PUNKT0 0 50) (* pi 1.5) 25) "@7,0" "")
					(setvar "CELWEIGHT" 020)
					(command	"_line" (polar (polar PUNKT0 0 53.5) (* pi 1.5) 20) "@0,-10" "")
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_klim
;=========================================================================

;=========================================================================
(defun c:roz_kociol ( / PUNKT0)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_biala_armatura" T)
			;=============================================================
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia na stropie" "\nClick the insertion point on the ceiling"))))	;LANG;
			(command	"_line" (polar (polar PUNKT0 pi 6.25) (* pi 1.5) 30) "@12.5,0" "@0,4" "@-12.5,0" "@0,-4" ""
						"_line" (polar (polar PUNKT0 pi 22.5) (* pi 1.5) 110) "@45,0" "@0,80" "@-45,0" "@0,-80" ""
						"_line" (polar (polar PUNKT0 pi 22.5) (* pi 1.5) 95) "@45,0" ""
						"_.text" "_j" "_c" (polar PUNKT0 (* 1.5 pi) 70) "18" "0" "K"
			)
			(setvar "CLAYER" "IS_KS")
			(command	"_line" (polar (polar PUNKT0 pi 0) (* pi 1.5) 110) "@0,-13" "")
			(setvar "CELWEIGHT" 020)
			(command	"_line" (polar (polar PUNKT0 pi 6.0) (* pi 1.5) 116.5) "@12,0" "")
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun roz_kociol
;=========================================================================

;=========================================================================
(defun c:rewizja ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;===========================================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			)
			(setvar "CELWEIGHT" 015)
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij dolny punkt wstawienia rewizji" "\nClick the bottom \"sewer riser\" insertion point"))))	;LANG;
			(command	"_line" (polar PUNKT0 0 6) "@-12,0" ""
						"_line" (polar (polar PUNKT0 0 6) (/ pi 2) 18) "@-12,0" ""
			)
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij kierunek odejcia rewizji." "\nClick the \"sewer riser\" direction."))))	;LANG;
			(if (<= (car PUNKT0) (car PUNKT1))
				(command	"_line" (polar (polar PUNKT0 0 0) (/ pi 2) 9) "@10,0" ""
							"_line" (polar (polar PUNKT0 0 10) (/ pi 2) 4) "@0,10" ""
				)
				(command	"_line" (polar (polar PUNKT0 0 0) (/ pi 2) 9) "@-10,0" ""
							"_line" (polar (polar PUNKT0 pi 10) (/ pi 2) 4) "@0,10" ""
				)
			);if
			(setvar "CELWEIGHT" -1)
			(setvar "CLAYER" "IS_opisy")
			(if (<= (car PUNKT0) (car PUNKT1))
				(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 0 20) (/ pi 2) 9) "18" "0" "R"	)
				(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 20) (/ pi 2) 9) "18" "0" "R"	)
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);rewizja
;=========================================================================

;=========================================================================
(defun c:ks_tr_m ( / PUNKT0 PUNKT1)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			);if

			(setvar "CELWEIGHT" 015)
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij dolny punkt wstawienia trjnika." "\nClick the bottom tee insertion point."))))	;LANG;
			(command	"_line" (polar PUNKT0 0 6) "@-12,0" ""
						"_line" (polar (polar PUNKT0 0 6) (/ pi 2) 13.9) "@-12,0" "")
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij kierunek odejcia trjnika." "\nClick the tee departure direction."))))	;LANG;
			(if (< (car PUNKT0) (car PUNKT1))
				(progn
					(setvar "CELWEIGHT" -1)
					(command "_line" (polar (polar PUNKT0 0 0) (/ pi 2) 4.8) "@11.4<23" "")
					(setvar "CELWEIGHT" 015)
					(command "_line"	(polar (polar (polar PUNKT0 (/ pi 2) 4.8) (/ (* 23 pi) 180) 7.3) (/ (* 113 pi) 180) 6) 
										(polar (polar (polar PUNKT0 (/ pi 2) 4.8) (/ (* 23 pi) 180) 7.3) (/ (* -67 pi) 180) 6) 
										"")
				);progn
				(progn
					(setvar "CELWEIGHT" -1)
					(command "_line" (polar (polar PUNKT0 0 0) (/ pi 2) 4.8) "@11.4<157" "")
					(setvar "CELWEIGHT" 015)
					(command "_line"	(polar (polar (polar PUNKT0 (/ pi 2) 4.8) (/ (* 157 pi) 180) 7.3) (/ (* 247 pi) 180) 6) 
										(polar (polar (polar PUNKT0 (/ pi 2) 4.8) (/ (* 157 pi) 180) 7.3) (/ (* 67 pi) 180) 6) 
										"")
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun ks_tr_m
;=========================================================================

;=========================================================================
(defun c:ks_tr_d ( / PUNKT0 PUNKT1 )
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			);if
			(setvar "CELWEIGHT" 015)
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij dolny punkt wstawienia trjnika." "\nClick the bottom tee insertion point."))))	;LANG;
			(command	"_line" (polar PUNKT0 0 6) "@-12,0" ""
						"_line" (polar (polar PUNKT0 0 6) (/ pi 2) 22) "@-12,0" "")
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij kierunek odejcia trjnika." "\nClick the tee departure direction."))))	;LANG;
			(if (< (car PUNKT0) (car PUNKT1))
				(progn
					(setvar "CELWEIGHT" -1)
					(command "_line" (polar (polar PUNKT0 0 0) (/ pi 2) 5) "@20<45" "")
					(setvar "CELWEIGHT" 015)
					(command "_line"	(polar (polar (polar PUNKT0 (/ pi 2) 5) (/ (* 45 pi) 180) 13.4) (/ (* 135 pi) 180) 6) 
										(polar (polar (polar PUNKT0 (/ pi 2) 5) (/ (* 45 pi) 180) 13.4) (/ (* -45 pi) 180) 6) 
										"")
				);progn
				(progn
					(setvar "CELWEIGHT" -1)
					(command "_line" (polar (polar PUNKT0 0 0) (/ pi 2) 5) "@20<135" "")
					(setvar "CELWEIGHT" 015)
					(command "_line"	(polar (polar (polar PUNKT0 (/ pi 2) 5) (/ (* 135 pi) 180) 13.4) (/ (* 225 pi) 180) 6) 
										(polar (polar (polar PUNKT0 (/ pi 2) 5) (/ (* 135 pi) 180) 13.4) (/ (* 45 pi) 180) 6) 
										"")
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun ks_tr_d
;=========================================================================

;=========================================================================
(defun c:ks_reduk ( / PUNKT0 kierunek tempa1 tempa2 PUNKT1 PUNKT2)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			);if

			(setq	PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia redukcji:" "\nClick the reduction insertion point:")))	;LANG;
					kierunek (getangle PUNKT0 (nth *lang* (list "\nKliknij kierunek redukcji:" "\nClick direction reduction:")))	;LANG;
			)

			(setvar "CELWEIGHT" 015)
			(command	"_line" (polar PUNKT0 (+ kierunek (/ pi 2)) 6) (polar PUNKT0 (- kierunek (/ pi 2)) 6) ""
						"_line" (polar (polar PUNKT0 (+ kierunek (/ pi 2)) 6) kierunek 12) (polar (polar PUNKT0 (- kierunek (/ pi 2)) 6) kierunek 12) ""
						"_trim" "" (polar PUNKT0 kierunek 5) ""
			)
			(command	"_line" (polar PUNKT0 (+ kierunek (/ pi 2)) 5) (polar PUNKT0 kierunek 12) (polar PUNKT0 (- kierunek (/ pi 2)) 5) "")
			(setvar "CLAYER" "IS_opisy")
			(setvar "CELWEIGHT" -1)
			(setq	tempa1 (polar (polar PUNKT0 (+ kierunek (/ pi 2)) 2.5) kierunek 6)
					tempa2 (polar (polar PUNKT0 (- kierunek (/ pi 2)) 2.5) kierunek 6)
					PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nWska punkt wstawienia opisu:" "\nSpecify the insertion point for the description:")))	;LANG;
			);setq
			(if (< (distance tempa1 PUNKT1) (distance tempa2 PUNKT1))
				(progn 
					(command "_line" tempa1 PUNKT1 "")
					(setq PUNKT2 tempa1)
				)
				(progn
					(command "_line" tempa2 PUNKT1 "")
					(setq PUNKT2 tempa2)
				)
			);if
			(if (< (car PUNKT2) (car PUNKT1))
				(progn
					(command	"_line" PUNKT1 "@40,0" ""
								"_.text" "_j" "_mc" (polar (polar PUNKT1 0 20) (/ pi 2) 12) "18" "0" (mh:GetChoisText (nth *lang* (list "\nrednica na grze odnonika:" "\nDiameter at the top of the link:")) (list "40" "50" "75" "110" "160" "200" "250") "110")	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKT1 0 20) (/ pi 2) -12) "18" "0" (mh:GetChoisText (nth *lang* (list "\nrednica na dole odnonika:" "\nDiameter at the bottom of the link:")) (list "40" "50" "75" "110" "160" "200" "250") "160")	;LANG;
					)
				);progn
				(progn
					(command	"_line" PUNKT1 "@-40,0" ""
								"_.text" "_j" "_mc" (polar (polar PUNKT1 pi 20) (/ pi 2) 12) "18" "0" (mh:GetChoisText (nth *lang* (list "\nrednica na grze odnonika:" "\nDiameter at the top of the link:")) (list "40" "50" "75" "110" "160" "200" "250") "110")	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKT1 pi 20) (/ pi 2) -12) "18" "0" (mh:GetChoisText (nth *lang* (list "\nrednica na dole odnonika:" "\nDiameter at the bottom of the link:")) (list "40" "50" "75" "110" "160" "200" "250") "160")	;LANG;
					)
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun ks_reduk
;=========================================================================

;=========================================================================
(defun c:ks_napow ( / PUNKT0 PUNKT1 DnWyw)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			);if
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia zaworu napowietrzajcego:" "\nClick insertion point for \"cheater vent\":"))))	;LANG;
			(command	"_line" (polar PUNKT0 0 6) "@-12,0" "@0,14" "@12,0" "_c")
			(setvar "CELWEIGHT" 015)
			(command	"_line" (polar PUNKT0 (/ pi 2) 14) "@3.75,8" "@-7.5,0" "_c"
						"_line" (polar PUNKT0 (/ pi 2) 22) "@0,11" "")
			(setvar "CELWEIGHT" -1)
			(setvar "CLAYER" "IS_opisy")
			(setq PUNKT1 (getpoint PUNKT0 (nth *lang* (list "\nKliknij miejsce opisu zaworu napowietrzajcego:" "\nClick the location for the \"cheater vent\" description:"))))	;LANG;
			(if (< (car PUNKT0) (car PUNKT1))
				(progn
					(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 0 135) (/ pi 2) 68) "18" "0" (nth *lang* (list "zawr" "cheater"))	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKT0 0 135) (/ pi 2) 38) "18" "0" (nth *lang* (list "napowietrzajcy" "vent"))	;LANG;
								"_line" (polar (polar PUNKT0 0 6) (/ pi 2) 7) "@45,45" "@168,0" ""
					);command
				);progn
				(progn
					(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 135) (/ pi 2) 68) "18" "0" (nth *lang* (list "zawr" "cheater"))	;LANG;
								"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 135) (/ pi 2) 38) "18" "0" (nth *lang* (list "napowietrzajcy" "vent"))	;LANG;
								"_line" (polar (polar PUNKT0 pi 6) (/ pi 2) 7) "@-45,45" "@-168,0" ""					
					);command
				);progn
			);if
			(setq DnWyw (mh:GetChoisText
							(nth *lang* (list "\nPodaj rednic zaworu napowietrzajcego [mm]" "\nEnter the diameter of the \"cheater vent\" [mm]"))	;LANG;
							(list
								"50"
								"75"
								"110"
								"160"
							)
							"110"
						)
			)
			(if (< (car PUNKT0) (car PUNKT1))
				(progn
					(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 0 135) (/ pi 2) 11) "18" "0" (strcat "PVC" DnWyw)	
								"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 14) (* pi 1.5) 48) "18" "90" (strcat "PVC" DnWyw)
					);command
				);progn
				(progn
					(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 135) (/ pi 2) 11) "18" "0" (strcat "PVC" DnWyw)	
								"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 14) (* pi 1.5) 48) "18" "90" (strcat "PVC" DnWyw)			
					);command
				);progn
			);if
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun ks_napow
;=========================================================================

;=========================================================================
(defun c:ks_wyw ( / PUNKT0 dach DnWyw)
	(if (mh:qawa)
		(progn
			(mh:ustzap)
			;===========================================================================
			;(mh:ACX_MAKE_TextStyle "IS_SIMPLEX" "simplex.shx" nil 0.7 nil T)
			(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_sciany" nil)
			(mh:warstwa "IS_opisy" nil)
			;=============================================================
			(if (and (/= (getvar "clayer") "IS_KD") (/= (getvar "clayer") "IS_KT") (/= (getvar "clayer") "IS_KS_dubler") (/= (getvar "clayer") "IS_KS_wentylacja"))
				(setvar "CLAYER" "IS_KS")
			)
			(setvar "CELWEIGHT" 025)
			(setq PUNKT0 (getpoint (nth *lang* (list "\nKliknij punkt wstawienia wywiewki:" "\nClick the roof vent insertion point:"))))	;LANG;
			(command	"_line" PUNKT0 "@-8,8" "@0,44" ""
						"_line" PUNKT0 "@8,8" "@0,44" ""
						"_line" (polar PUNKT0 (/ pi 2) 60) "@-16,-16" ""
						"_line" (polar PUNKT0 (/ pi 2) 60) "@16,-16" ""
			)
			(setvar "CELWEIGHT" -1)
			(setvar "CLAYER" "IS_sciany")
			(setq	dach	(mh:GetChoisText
								"\nRodzaj dachu:"	;
								(list
									(nth *lang* (list "Paski" "Flat"))	;LANG;
									(nth *lang* (list "Skony" "Pitched"))	;LANG;
								)
								(nth *lang* (list "Skony" "Pitched"))	;LANG;
							)
					DnWyw	(mh:GetChoisText
								(nth *lang* (list "\nrednica wywiewki:" "\nRoof vent diameter:"))	;LANG;
								(list
									"75"
									"110"
									"160"
								)
								"160"
							)
			)
			(if (= Dach (nth *lang* (list "Paski" "Flat")))	;LANG;
				(command "_line" (polar PUNKT0 pi 27) "@54,0" "")
				(command "_line" (polar (polar PUNKT0 pi 27) (/ pi 2) 15) "@54,14" "")
			);if
			(setvar "CLAYER" "IS_opisy")
			(command	"_.text" (polar PUNKT0 0 50) "18" "90" (strcat "PVC%%C" DnWyw))
			(command	"_.text" "_j" "_mc" (polar (polar PUNKT0 pi 14) (* pi 1.5) 48) "18" "90"	(strcat "PVC" 
																										(if (= DnWyw "160") "110"
																											(if (= DnWyw "110") "75" "75")
																										)
																									)
			)
			(mh:ustprzywr)
		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun ks_wyw
;=========================================================================

;=========================================================================
(defun c:war_ks ( / ECHO_MEMBER)
	(if (mh:qawa)
		(progn

			(setq	ECHO_MEMBER (getvar "cmdecho"))
			(setvar "cmdecho" 0)

			;=============================================================
			(mh:warstwa "IS_KS" nil)
			(mh:warstwa "IS_KS_pod_stropem" nil)
			(mh:warstwa "IS_KS_tloczna" nil)
			(mh:warstwa "IS_KS_dubler" nil)
			(mh:warstwa "IS_KS_dubler_pod_stropem" nil)
			(mh:warstwa "IS_KS_wentylacja" nil)
			;=============================================================

			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "celtype" "BYLAYER")
			(setvar "CELWEIGHT" -1)

			(mh:zmianawarstw
				'("IS_KS" "IS_KS_pod_stropem" "IS_KS_tloczna" "IS_KS_wentylacja" "IS_KS_dubler" "IS_KS_dubler_pod_stropem")
			)

			(setvar "cmdecho" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_ks
;=========================================================================

;=========================================================================
(defun c:war_kd ( / ECHO_MEMBER)
	(if (mh:qawa)
		(progn

			(setq	ECHO_MEMBER (getvar "cmdecho"))
			(setvar "cmdecho" 0)

			;=============================================================
			(mh:warstwa "IS_KD" nil)
			(mh:warstwa "IS_KD_pod_stropem" nil)
			(mh:warstwa "IS_KD_tloczna" nil)
			;=============================================================

			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "celtype" "BYLAYER")
			(setvar "CELWEIGHT" -1)

			(mh:zmianawarstw
				'("IS_KD" "IS_KD_pod_stropem" "IS_KD_tloczna")
			)

			(setvar "cmdecho" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_kd
;=========================================================================

;=========================================================================
(defun c:war_kt ( / ECHO_MEMBER)
	(if (mh:qawa)
		(progn

			(setq	ECHO_MEMBER (getvar "cmdecho"))
			(setvar "cmdecho" 0)

			;=============================================================
			(mh:warstwa "IS_KT" nil)
			(mh:warstwa "IS_KT_pod_stropem" nil)
			(mh:warstwa "IS_KT_tloczna" nil)
			;=============================================================

			(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
			(setvar "celtype" "BYLAYER")
			(setvar "CELWEIGHT" -1)

			(mh:zmianawarstw
				'("IS_KT" "IS_KT_pod_stropem" "IS_KT_tloczna")
			)

			(setvar "cmdecho" ECHO_MEMBER)

		);progn (mh:qawa)
		(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
	);if
(princ)
);defun war_kt
;=========================================================================
