
;=========================================================================
(defun c:manom ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7 T8 T9 )
(if (mh:qawa)
	(progn

		(mh:ustzap)

		(if (null *skalasymboli*)
			(setq *skalasymboli* 1.0)
		);if

		;===========================================================
		(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
		;(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
		;=============================================================

		;=============================================================
		(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
		(mh:warstwa "IS_schemat_opisy" nil)
		(mh:warstwa "IS_schemat_armatura_kontrolna" T)
		;=============================================================

		(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
				linia (ssget PunWst)
		);setq

		;=============================================================
		; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
		(if linia
			(progn
				(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
					(setq linia nill)
				);if
			);progn
		);if
		;=============================================================

		(if linia
			(progn
				(setq	opislinii (entget (ssname linia 0))
						AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
						BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
						KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
				);setq
				(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
				(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
			);progn
			(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
		);if

		(setq	T1 PunWst
				T2 (polar PunWst (+ KatObr (/ pi 2)) (* 8 *skalasymboli*))
				T3 (polar PunWst (+ KatObr (/ pi 2)) (* 10.5 *skalasymboli*))
				T4 (polar PunWst (+ KatObr (/ pi 2)) (* 13 *skalasymboli*))
				T5 (polar PunWst (+ KatObr (/ pi 2)) (* 21 *skalasymboli*))
				T6 (polar PunWst (+ KatObr (/ pi 2)) (* 30 *skalasymboli*))
				T7 (polar (polar PunWst (+ KatObr (/ pi 2)) (* 10.5 *skalasymboli*)) (+ KatObr 0) (* 2.5 *skalasymboli*))
				T8 (polar (polar PunWst (+ KatObr (/ pi 2)) (* 10.5 *skalasymboli*)) (+ KatObr 0) (* 7.5 *skalasymboli*))
				T9 (polar (polar PunWst (+ KatObr (/ pi 2)) (* 15.5 *skalasymboli*)) (+ KatObr 0) (* 7.5 *skalasymboli*))
		);setq
		(command	"_circle" T3 "_d" (rtos (* 5 *skalasymboli*))
					"_circle" T6 "_d" (rtos (* 18 *skalasymboli*))
		)
		(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T1 T2 nil nil nil)
		(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T4 T5 nil nil nil)
		(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T7 T8 nil nil nil)
		(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T8 T9 nil nil nil)

		(setvar "CLAYER" "IS_schemat_opisy")
		(command	"_.text" "_j" "_mc" T6 (rtos (* 9 *skalasymboli*)) (* (/ KatObr pi) 180) "M1"
		);command

		(mh:ustprzywr)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun manom
;=========================================================================

;=========================================================================
(defun c:termom ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura_kontrolna" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 PunWst
			T2 (polar (polar PunWst (+ KatObr pi) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 19 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr pi) (* 3.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 8 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 3.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 8 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 3.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 24.5 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr pi) (* 3.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 24.5 *skalasymboli*))
	);setq
	
	(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T3 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T4 T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T5 T6 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura_kontrolna" T6 T3 nil nil nil)

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" (polar PunWst (+ KatObr (/ pi 2)) (* 34 *skalasymboli*)) (rtos (* 9 *skalasymboli*)) (* (/ KatObr pi) 180) "T1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun termom
;=========================================================================

;=========================================================================
(defun c:zawkul01 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
		(progn
			(setq	opislinii (entget (ssname linia 0))
					AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
					BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
					KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
			);setq
			(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
			(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
		);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(command "_circle" PunWst (rtos (* 6 *skalasymboli*)))
	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr pi) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkul01
;=========================================================================

;=========================================================================
(defun c:zawkul02 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T4 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
		(progn
			(setq	opislinii (entget (ssname linia 0))
					AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
					BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
					KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
			);setq
			(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
			(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
		);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(command "_circle" PunWst (rtos (* 6 *skalasymboli*)))
	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkul02
;=========================================================================

;=========================================================================
(defun c:zawkol01 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
		(setq	opislinii (entget (ssname linia 0))
				AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
				BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
				KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
		);setq
		(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
		(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkol01
;=========================================================================

;=========================================================================
(defun c:zawkol02 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6)
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
		(progn
			(setq	opislinii (entget (ssname linia 0))
					AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
					BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
					KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
			);setq
			(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
			(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
		);progn
		(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr 0) (* 12 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" PunWst T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T5 T6 nil nil nil)

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkol02
;=========================================================================

;=========================================================================
(defun c:zawkol03 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7)
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
		(progn
			(setq	opislinii (entget (ssname linia 0))
					AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
					BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
					KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
			);setq

			(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
			(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
		);progn
		(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr 0) (* 7 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T7 (polar (polar PunWst (+ KatObr pi) (* 7 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
	);setq
	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" PunWst T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T6 T7 nil nil nil)

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkol03
;=========================================================================

;=========================================================================
(defun c:zawkol04 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7 T8 T9)
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;===========================================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;===========================================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq

	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr 0) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T7 (polar (polar PunWst (+ KatObr pi) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T8 (polar (polar PunWst (+ KatObr 0) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 28 *skalasymboli*))
			T9 (polar (polar PunWst (+ KatObr pi) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 28 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" PunWst T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T5 T6 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T6 T8 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T8 T9 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T9 T7 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T7 T5 nil nil nil)

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" (polar PunWst (+ KatObr (* pi 0.5)) (* 37 *skalasymboli*)) (rtos (* 9 *skalasymboli*)) "0" "ZR1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkol04
;=========================================================================

;=========================================================================
(defun c:zawkol05 ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7 T8 T9 T10 T11 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
		(progn
			(setq	opislinii (entget (ssname linia 0))
					AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
					BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
					KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
			);setq

			(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
			(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
		);progn
		(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 0 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 12 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr 0) (* 7 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 8.536 *skalasymboli*))
			T7 (polar (polar PunWst (+ KatObr pi) (* 7 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 8.536 *skalasymboli*))
			T8 (polar (polar PunWst (+ KatObr pi) (* 5.9377 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 3.5636 *skalasymboli*))
			T9 (polar (polar PunWst (+ KatObr pi) (* 5.9377 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 7.684 *skalasymboli*))
			T10 (polar (polar PunWst (+ KatObr 0) (* 5.93776 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 3.5636 *skalasymboli*))
			T11 (polar (polar PunWst (+ KatObr 0) (* 5.9377 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 7.684 *skalasymboli*))
	);setq
	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" PunWst T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T6 T7 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T8 T9 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T10 T11 nil nil nil)
	
	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" (polar PunWst (+ KatObr (* pi 1.5)) (* 14 *skalasymboli*)) (rtos (* 9 *skalasymboli*)) "0" "R1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkol05
;=========================================================================

;=========================================================================
(defun c:zawkolzwr ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 10 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(command "_solid" PunWst T3 T4 "" "")
	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawkolzwr
;=========================================================================

;=========================================================================
(defun c:filt ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7 T8 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if


	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;=============================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar (polar PunWst (+ KatObr pi) (* 12.5 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T2 (polar (polar PunWst (+ KatObr pi) (* 12.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T3 (polar (polar PunWst (+ KatObr 0) (* 12.5 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar (polar PunWst (+ KatObr 0) (* 12.5 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T5 (polar (polar PunWst (+ KatObr 0) (* 4.7 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T6 (polar (polar PunWst (+ KatObr pi) (* 7.8 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T7 (polar (polar PunWst (+ KatObr 0) (* 4.1 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 17.9 *skalasymboli*))
			T8 (polar (polar PunWst (+ KatObr 0) (* 10.3 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 11.6 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T4 T1 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T5 T8 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T8 T7 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T7 T6 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" PunWst (rtos (* 9 *skalasymboli*)) (* (/ KatObr pi) 180) "FS1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun filt
;=========================================================================

;=========================================================================
(defun c:zawbez ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 T7 T8 T9 T10 T11 T12 T13 T14 T15 T16 T17 T18)
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;===========================================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;===========================================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar PunWst (+ KatObr (* pi 0.5)) (* 7 *skalasymboli*))
			T2 (polar T1 (+ KatObr (* pi 1)) (* 6 *skalasymboli*))
			T3 (polar T1 (+ KatObr (* pi 0.5)) (* 10 *skalasymboli*))
			T4 (polar T1 (+ KatObr (* pi 0)) (* 6 *skalasymboli*))
			T7 (polar T3 (+ KatObr (* pi 0)) (* 10 *skalasymboli*))
			T6 (polar T7 (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T5 (polar T7 (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T8 (polar T7 (+ KatObr (* pi 0)) (* 7 *skalasymboli*))
			T9 (polar T8 (+ KatObr (* pi 1.5)) (* 7 *skalasymboli*))
			T10 (polar T3 (+ KatObr (* pi 0.5)) (* 3.8 *skalasymboli*))
			T11 (polar (polar T10 (+ KatObr (* pi 0.5)) (* 1.4 *skalasymboli*)) (+ KatObr (* pi 0)) (* 5.2 *skalasymboli*))
			T12 (polar (polar T11 (+ KatObr (* pi 0.5)) (* 2.8 *skalasymboli*)) (+ KatObr (* pi 1)) (* 10.4 *skalasymboli*))
			T13 (polar (polar T12 (+ KatObr (* pi 0.5)) (* 2.8 *skalasymboli*)) (+ KatObr (* pi 0)) (* 10.4 *skalasymboli*))
			T14 (polar (polar T13 (+ KatObr (* pi 0.5)) (* 2.8 *skalasymboli*)) (+ KatObr (* pi 1)) (* 10.4 *skalasymboli*))
			T15 (polar (polar T14 (+ KatObr (* pi 0.5)) (* 2.8 *skalasymboli*)) (+ KatObr (* pi 0)) (* 10.4 *skalasymboli*))
			T16 (polar (polar T15 (+ KatObr (* pi 0.5)) (* 2.8 *skalasymboli*)) (+ KatObr (* pi 1)) (* 10.4 *skalasymboli*))
			T17 (polar (polar T16 (+ KatObr (* pi 0.5)) (* 0 *skalasymboli*)) (+ KatObr (* pi 0)) (* 10.4 *skalasymboli*))
			T18 (polar (polar PunWst (+ KatObr (* pi 0.5)) (* 32 *skalasymboli*)) (+ KatObr (* pi 0)) (* 17 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" PunWst T1 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T4 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T6 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T6 T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T5 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T7 T8 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T8 T9 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T10 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T10 T11 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T11 T12 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T12 T13 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T13 T14 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T14 T15 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T15 T16 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T16 T17 nil nil nil)

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" T18 (rtos (* 9 *skalasymboli*)) "0" "ZB1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawbez
;=========================================================================

;=========================================================================
(defun c:wodskrz ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;===========================================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;===========================================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(command "_circle" PunWst (rtos (* 9.5 *skalasymboli*)))
	(setq	T1 (polar PunWst (+ KatObr (* pi 1.25)) (* 15 *skalasymboli*))
			T2 (polar PunWst (+ KatObr (* pi 0.25)) (* 21 *skalasymboli*))
			T3 (polar T2 (+ KatObr (* pi 1.12)) (* 9.1 *skalasymboli*))
			T4 (polar T2 (+ KatObr (* pi 1.38)) (* 9.1 *skalasymboli*))
			T5 (polar PunWst (+ KatObr (* pi 0.5)) (* 20 *skalasymboli*))
	);setq

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T4 nil nil nil)

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" T5 (rtos (* 9 *skalasymboli*)) "0" "W1"
	);command

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun wodskrz
;=========================================================================

;=========================================================================
(defun c:zawantysk ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4 T5 T6 typzaworu )
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;===========================================================================
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	;===========================================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq
	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar PunWst (+ KatObr (* pi 1)) (* 12 *skalasymboli*))
			T2 (polar (polar T1 (+ KatObr (* pi 0)) (* 6 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
			T3 (polar (polar T1 (+ KatObr (* pi 0)) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T4 (polar PunWst (+ KatObr (* pi 0)) (* 12 *skalasymboli*))
			T5 (polar (polar T4 (+ KatObr (* pi 1)) (* 6 *skalasymboli*)) (+ KatObr (* pi 0.5)) (* 6 *skalasymboli*))
			T6 (polar (polar T4 (+ KatObr (* pi 1)) (* 6 *skalasymboli*)) (+ KatObr (* pi 1.5)) (* 6 *skalasymboli*))
	);setq

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T5 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T5 T4 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T4 T6 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T6 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T1 nil nil nil)

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(setq typzaworu (mh:GetChoisText (nth *lang* (list "\nTyp zaworu antyskaeniowego:" "\nType of anti-contamination valve:")) (list "AA" "AB" "AC" "AD" "AF" "AG" "BA" "CA" "DA" "DB" "DC" "EA" "EB" "EC" "ED" "GA" "GB" "HA" "HB" "HC" "HD" "LA" "LB") "EA"))	;LANG;

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" PunWst (rtos (* 9 *skalasymboli*)) (* (/ KatObr pi) 180) typzaworu
	);command


	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun zawantysk
;=========================================================================

;=========================================================================
(defun c:pompa ( / PunWst linia opislinii AAA BBB KatObr T1 T2 T3 T4)
(if (mh:qawa)
(progn

	(mh:ustzap)

	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if

	;===========================================================
	(command "_dimzin" "0") ;ustawienie dokadnoci cyfr "penych" na dokadno z przecinkami - bez tego poziom 0,0 bedzie bez przecinkw podawany
	(command "_osnapcoord" "1") ;zmienia sposb przycigania do punktw, aby nie docigao wstawianych skryptem elementw do elementw istniejcych
	;=============================================================

	;=============================================================
	(mh:warstwa "IS_schemat_opisy" nil)
	(mh:warstwa "IS_schemat_automatyka" nil)
	(mh:warstwa "IS_schemat_armatura" T)
	(mh:ACX_MAKE_TextStyle_TTF "IS_ISOCPEUR" "ISOCPEUR" nil 0.8 nil T)
	;===========================================================================

	(setq	PunWst (getpoint (nth *lang* (list "\nWska punkt wstawienia. " "\nIndicate the insertion point. ")))	;LANG;
			linia (ssget PunWst)
	);setq

	;=============================================================
	; sprawdzi czy linia to jest naprawd linia :-) a jak nie to wyczyci zmienna linia
	(if linia
		(progn
			(if (/= (cdr (assoc 0 (entget (ssname linia 0)))) "LINE")
				(setq linia nill)
			);if
		);progn
	);if
	;=============================================================

	(if linia
	(progn
	(setq	opislinii (entget (ssname linia 0))
			AAA (cdr (assoc 10 opislinii)); AAA to wsprzdne pocztku linii
			BBB (cdr (assoc 11 opislinii)); BBB to wsprzdne koca linii
			KatObr (angle (trans AAA 0 1)  (trans BBB 0 1))
	);setq

	(if (>= KatObr pi) (setq KatObr (- KatObr pi)))
	(if (> KatObr (* pi 0.5)) (setq KatObr (+ KatObr pi)))
	);progn
	(setq KatObr (getangle PunWst (nth *lang* (list "\nWska kt obrotu. " "\nIndicate the rotation angle. "))))	;LANG;
	);if

	(setq	T1 (polar PunWst (+ KatObr 0) (* 12.5 *skalasymboli*))
			T2 (polar PunWst (+ KatObr (* pi 0.666666)) (* 12.5 *skalasymboli*))
			T3 (polar PunWst (+ KatObr (* pi 1.333333)) (* 12.5 *skalasymboli*))
			T4 (polar PunWst (* pi 0.83) (* 12.5 *skalasymboli*))
	);setq
	(command "_circle" PunWst "_d" (rtos (* 25 *skalasymboli*)))

	(if linia
		(progn
			(command "_trim" "" PunWst "")
		);progn
	);if

	(mh:ENT_Make_Line "IS_schemat_armatura" T1 T2 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T2 T3 nil nil nil)
	(mh:ENT_Make_Line "IS_schemat_armatura" T3 T1 nil nil nil)

	(command "_solid" T1 T2 T3 "" "")

	(setvar "CLAYER" "IS_schemat_opisy")
	(command	"_.text" "_j" "_mc" (polar PunWst (* pi 0.5) (* 20 *skalasymboli*)) (rtos (* 9 *skalasymboli*)) "0" "PO1"
	);command

	(setvar "CLAYER" "IS_schemat_automatyka")
	(command "_line" T4 (strcat "@-" (rtos (* 4 *skalasymboli*)) "," (rtos (* 4 *skalasymboli*))) (strcat "@0," (rtos (* 30 *skalasymboli*))) "")

	(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun pompa

;=========================================================================

;=========================================================================
(defun c:ustawskalesymboli ( / DCL_skala_symboli tytokna dcl_id zamkniecie )
(if (mh:qawa)
(progn

(mh:ustzap)

	;==================
	(if (null *skalasymboli*)
		(setq *skalasymboli* 1.0)
	);if
	
	(setq	DCL_skala_symboli (rtos *skalasymboli*)
			tytokna	(nth *lang* (list "Skala symboli" "Scale of symbols")) 	;LANG;
	)  
	;==================

	(setq dcl_id (load_dialog (nth *lang* (list "profilek-schematy.dcl" "profilek-schematy_EN.dcl"))))	;LANG;
	(if (not (new_dialog "skalasymboli" dcl_id))
		(progn
			(alert (nth *lang* (list "Nie znaleziono pliku profilek-schematy.dcl" "File not found profilek-schematy_EN.dcl")))	;LANG;
			(exit)
		);progn
	);if
		
	;==================		
	(foreach % (list "DCL_skala_symboli")
		(set_tile % (eval (read %)))
		(action_tile % (strcat "(setq " % " $value)"))
	)
	;================
	(set_tile "keytytokna" tytokna)
	;================

	(action_tile "accept" "(done_dialog) (setq zamkniecie 1)")
	(action_tile "Cancel" "(done_dialog) (setq zamkniecie 0)")
   
   (start_dialog)
   (unload_dialog dcl_id)
   
    

(if (= zamkniecie 1)
	(progn			
		;=========================================================================
		;Sprawdzenie i podstawienie do zmiennych numerycznych wartoci z editbox'w
		(if (> (atof (mh:MsgCommaToDot DCL_skala_symboli)) 0)
		
			(setq *skalasymboli* (atof (mh:MsgCommaToDot DCL_skala_symboli)))
			
			(progn
				(alert (nth *lang* (list "Skala symboli nie jest wpisana poprawnie!" "The scale of symbols is not entered correctly!")))	;LANG;
				(setq zamkniecie 0)
			)
		)
		;=========================================================================
	);progn
);if



(mh:ustprzywr)

);progn (mh:qawa)
(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun
;=========================================================================

;=========================================================================
(defun c:schemtyp ( / )
(if (mh:qawa)

	(mh:pliki2 (strcat (mh:gdziepliki 0) "\\FOLDERY_ELEMENTOW\\SCHEMATY_HYDRAULICZNE\\") (nth *lang* (list "Elementy typowe schematw hydraulicznych." "Elements of typical hydraulic schemes.")))	;LANG;
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
)
;=========================================================================

;=========================================================================
(defun c:war_schem ( / ECHO_MEMBER)
(if (mh:qawa)
	(progn

		(setq	ECHO_MEMBER (getvar "cmdecho"))
		(setvar "cmdecho" 0)

		;=============================================================
		(mh:warstwa "IS_schemat_UWAGI" nil)
		(mh:warstwa "IS_schemat_automatyka" nil)
		(mh:warstwa "IS_schemat_armatura" nil)
		(mh:warstwa "IS_schemat_rurociagi" nil)
		(mh:warstwa "IS_schemat_opisy" nil)
		(mh:warstwa "IS_schemat_rurociagi_powrot" nil)
		;=============================================================

		;=============================================================
		(setvar "CECOLOR" "256") ;byo (setvar "CECOLOR" "BYLAYER")
		(setvar "CELTYPE" "BYLAYER")
		(setvar "CELWEIGHT" -1)
		;=============================================================

		;=============================================================
		(mh:zmianawarstw
			'("IS_schemat_UWAGI" "IS_schemat_rurociagi" "IS_schemat_rurociagi_powrot" "IS_schemat_automatyka" "IS_schemat_armatura" "IS_schemat_opisy")
		)
		;=============================================================

		(setvar "CMDECHO" ECHO_MEMBER)

	);progn (mh:qawa)
	(alert (nth *lang* (list "Wersja testowa niezarejestrowana." "The unregistered test version.")))	;LANG;
);if
(princ)
);defun war_schem
;=========================================================================

